/* cname.c */

#ifndef lint
static char *rcsid = "$Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/cname.c,v 9.2 1993/03/19 22:53:34 isode Exp isode $";
#endif

/*
 * $Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/cname.c,v 9.2 1993/03/19 22:53:34 isode Exp isode $
 *
 *
 * $Log: cname.c,v $
 * Revision 9.2  1993/03/19  22:53:34  isode
 * Add QOS and DOS-DE code
 *
 * Revision 8.1  1991/09/13  14:36:41  isode
 * PARADISE Upgrade release
 *
 * Revision 8.0  91/07/17  13:18:36  isode
 * Release 7.0
 *
 *
 */

/*
 *				  NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */


#define cname_c
#ifdef DOS
#include <stdlib.h>
#include <string.h>
#endif
#include "messages.h"
#include <stdio.h>
#ifdef USELDAP
#include "isomanifest.h"
#include "demanifest.h"
#endif USELDAP
#include "util.h"
#include "cnamelist.h"
#ifndef USELDAP
#include "quipu/util.h"
#endif USELDAP

extern struct cnamelist * cnamelp;
static struct cnamelist * taillp;

void
addToCoList(str)
char *str;
{
char * cp;

  cp = index(str, ' ');
  if (cp == NULLCP)
  {
    (void) fprintf(stderr, NAMEMAPPROB);
    return;
  }
  *cp = '\0';
  if (strlen(str) != 2)
  {
    (void) fprintf(stderr, NOT2CHARS);
    return;
  }
  cp++;
  addCoNode(str, cp);
}

void
addCoNode(shortname, longname)
char * shortname, * longname;
{
struct cnamelist * colp;

  colp = cname_alloc();
  if (cnamelp != NULLCNLIST)
  {
    taillp->next = colp;
    taillp = colp;
  }
  else
    cnamelp = taillp = colp;
  colp->shortname = copy_string(shortname);
  colp->longname = copy_string(longname);
  colp->next = NULLCNLIST;
}

char *
mapCoName(shortname)
char * shortname;
{
struct cnamelist * cnlp;

  for (cnlp = cnamelp; cnlp != NULLCNLIST; cnlp = cnlp->next)
    if (strcmp(shortname, cnlp->shortname) == 0)
      return cnlp->longname;
  return shortname;
}
