/* demanifest.h */

/*
 * $Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/demanifest.h,v 9.2 1993/03/19 22:54:00 isode Exp isode $
 *
 *
 * $Log: demanifest.h,v $
 * Revision 9.2  1993/03/19  22:54:00  isode
 * Add QOS and DOS-DE code
 *
 * Revision 8.1  1991/09/13  14:36:41  isode
 * PARADISE Upgrade release
 *
 * Revision 8.0  91/07/17  13:18:39  isode
 * Release 7.0
 *
 *
 */

/*
 *				  NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */


#ifndef _demanifest_h
#define _demanifest_h

#include <sys/types.h>
#include <sys/stat.h>

#ifdef USELDAP
#ifndef NULLCP
#define NULLCP ((char *)0)
#endif
#ifdef DOS
#define index(a,b) strchr(a,b)
#define rindex(a,b) strrchr(a,b)
#else
char *index();
char *rindex();
#endif DOS

#ifndef TRUE
#define TRUE    1
#endif
#ifndef FALSE
#define FALSE   0
#endif
#endif USELDAP

#define RWRWRW_MASK (S_IXUSR | S_IXGRP | S_IXOTH)

#define INDENTON 1
#define INDENTOFF 0

#define NUMBER_ALLOWED 1
#define NUMBER_NOT_ALLOWED 0

#define PERSON 1
#define ORGUNIT 2
#define ORG 3
#define LOCALITY 4
#define COUNTRY 5
/* MAXTYPE is used to define the length of the qinfo table */
#define MAXTYPE 5
#define UFNTYPE 6

#define SEARCH_OK "ok"
#define SEARCH_ERROR "error"
#define SEARCH_FAIL "failed"

#define LIST_OK "ok"
#define LIST_ERROR "error"

#define READ_OK "ok"
#define READ_FAIL "failed"

#define QUERY_ERROR 1
#define NAME_PRINTED 2
#define LIST_PRINTED 3
#define NO_DEPT_FOUND 4
#define PARENT_PRINTED 5
#define NO_ORG_ENTERED 6
#define START_NEW_QUERY 7
#define NO_LOCALITY 8
#define NO_LOCALITY_SELECTED 9
#define NO_ORG_FOUND 10

#define SF_ABANDONED 1
#define SF_ACCRIGHT 2
#define SF_OPFAIL 3

/* this is used if a preject is returned.  Normally it is a give-up
type of error, but it can mean that you are trying to look for
an invalid  2 letter country code */
#define PROTREJECT -2

#define AUTH_NONE 1
#define AUTH_NAME 2
#define AUTH_SIMPLE 3
#define AUTH_STRONG 4

#define DE_UNSIGNED 0
#define DE_SIGNED 1

#endif _demanifest_h
