/* destrings.h */

/*
 * $Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/destrings.h,v 9.2 1993/03/19 22:54:07 isode Exp isode $
 *
 *
 * $Log: destrings.h,v $
 * Revision 9.2  1993/03/19  22:54:07  isode
 * Add QOS and DOS-DE code
 *
 * Revision 8.1  1991/09/13  14:36:41  isode
 * PARADISE Upgrade release
 *
 * Revision 8.0  91/07/17  13:18:40  isode
 * Release 7.0
 *
 *
 */

/*
 *				  NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */


#ifndef _destrings_h
#define _destrings_h

#define DE_COUNTRY "country"
#define DE_LOCALITY "locality"
#define DE_ORGANISATION "organization"
#define DE_ORGANISATIONAL_UNIT "organizationalUnit"
#define DE_PERSON "person"
#define DE_ROOM "room"
#define DE_ROLE "organizationalRole"

#define DE_OBJECT_CLASS "objectClass"
#define DE_DS_OBJECT_CLASS "dsObjectClass"
#define DE_COUNTRY_NAME "countryName"
#define DE_FRIENDLY_COUNTRY "friendlyCountryName"
#define DE_LOCALITY_NAME "localityName"
#define DE_ORGANISATION_NAME "organizationName"
#define DE_ORGANISATIONAL_UNIT_NAME "organizationalUnitName"
#define DE_COMMON_NAME "commonName"
#define DE_SURNAME "surname"
#define DE_UID "uid"

#ifdef USELDAP
#define DE_MAILBOX "mail"
#else
#define DE_MAILBOX "rfc822Mailbox"
#endif USELDAP
#define DE_TELEPHONE "telephoneNumber"
#define DE_FAX "facsimileTelephoneNumber"

#define SHORT_CO "c"
#define SHORT_LOC "l"
#define SHORT_ORG "o"
#define SHORT_OU "ou"
#define SHORT_CN "cn"
#define SHORT_SN "sn"

#endif _destrings_h
