#ifdef DOS
#ifdef NEEDPROTOS
/* de.c */
void	main(int argc,char **argv );
void	doMenu(void);
int	doCountry(void);
int	doOrganisation(char *matchstring,int searchUnder);
int	searchOrgUnderLocality(char *costr);
int	doOU(char *matchstring);
int	doPRR(char *matchstring,int searchparent);
void	printNames(int objectType);
void	printCountry(void);
void	foundFollowing(void);
void	matchFollowing(void);
int	enterString(int objectType);
void	enterAndValidate(char *prompt,char *buf,int objectType,char *defaultValue,struct namelist *lp,int *nep);
char	enterYesNo(char *str);
char	enterOption(char *str,char *validChars,int *n);
void	onint1(int sig);
void	cleanupok(int sig);
void	cleanup(int exitCode);
void	doInProgress(void);
int	searchFail(int objectType);
void	de_exit(int exitCode);
/* bind.c */
int	rebind(void);
int	de_bind(int wantToBlock);
void	de_unbind(void);
/* init.c */
int	initialisations(int argc,char **argv );
static	void	read_de_option(char *line);
void	welcome(char *filename);
char	*quipuDN2DS23DN(char *str);
char	*DS23DN2quipuDN(char *str);
int	checkColour(char *colour);
/* util.c */
int	listlen(struct namelist *lp);
unsigned	int alarmLen(void);
void	initAlarm(void);
void	alarmCleanUp(void);
void	clearDots(void);
void	handleTimeout(void);
void	startUnbindTimer(void);
void	stopUnbindTimer(void);
char	*copy_string(char *string);
void	printLastComponent(int indent,char *dnstr,int objectType,int printNumber);
char	*lastComponent(char *dnstr,int objectType);
char	*orgNameFromDN(char *dnstr,int nameType);
char	*removeLastRDN(char *dnstr);
char	*lastRDN(char *dnstr);
void	clearProblemFlags(void);
void	setProblemFlags(int errno);
void	showAnyProblems(char *str);
void	logSearchSuccess(char *outcome,char *objecttype,char *string,int searchNumber,int noMatches);
void	logListSuccess(char *outcome,char *objecttype,int noMatches);
void	logReadSuccess(char *outcome,char *objecttype);
/* filt.c */
void	genFilter1(char *val,char *oc,char *at);
void	genFilter2(char *val,char *oc,char *at);
void	genFilter3(char *val,char *oc,char *at);
void	genFilter4(char *val,char *oc,char *at);
void	genAllFilter(char *oc);
void	genExplicitFilter(char *val,char *oc,char *at);
/* people.c */
int	listPRRs(char *parentstr,char *thisstr,struct namelist **listp );
void	printListPRRs(char *str,struct namelist *listp,int searchparent,int pdet,int fromNumber);
void	freePRRs(struct namelist **listpp );
void	freePRRSearchArgs(void);
int	listAllPRRs(char *parentstr,struct namelist **listp );
void	powerSearchPeople(char *parentstr,char *thisstr,int *opp);
int	listMatchingPRRs(char *parentstr,char *thisstr,struct namelist **listp );
int	readExactPRR(char *objectstr,struct namelist **listp );
int	makeListForOneOrg(int *opid);
int	makeListPRRs(struct namelist **listp ,char *parentstr);
int	readPerson(char *pstr,struct namelist **plistp, int Signed );
void	fillMostPRRSearchArgs(char *parentstr,int searchdepth);
void	makeAllPRRFilter(void);
void	makeExplicitPRRFilter(char *prrstr);
void	prrFilter1(char *prrstr);
void	prrFilter2(char *prrstr);
void	prrFilter3(char *prrstr);
void	prrFilter4(char *prrstr);
void	exactSurname(char *prrstr);
void	makeAllPFilter(void);
/* ou.c */
int	listOUs(char *parentstr,char *thisstr,struct namelist **listp );
void	printListOUs(char *str,struct namelist *listp);
void	freeOUs(struct namelist **listpp );
void	freeOUListArgs(void);
void	freeOUSearchArgs(void);
void	powerSearchOUs(char *parentstr,char *thisstr,int *opp);
int	listAllOUs(char *parentstr,struct namelist **listp );
int	listMatchingOUs(char *parentstr,char *thisstr,struct namelist **listp );
int	readExactOU(char *oustr,struct namelist **olistp );
int	reallyMakeListOUs(struct namelist **olistp );
int	listExactOUs(char *objectstr,struct namelist **listp );
int	makeListOUs(struct namelist **listp );
int	readOU(char *ostr,struct namelist **olistp );
void	fillMostOUListArgs(char *str);
void	fillMostOUSearchArgs(char *parentstr,int searchdepth);
/* org.c */
int	listOrgs(char *cstr,char *ostr,struct namelist **olistp );
void	printListOrgs(char *org,struct namelist *olistp);
void	freeOrgs(struct namelist **listpp );
void	freeOrgListArgs(void);
void	freeOrgSearchArgs(void);
int	listAllOrgs(char *cstr,struct namelist **olistp );
int	listMatchingOrgs(char *cstr,char *ostr,struct namelist **olistp );
int	readExactOrg(char *ostr,struct namelist **olistp );
int	reallyMakeListOrgs(struct namelist **olistp );
int	makeListOrganisations(struct namelist **olistp );
int	readOrg(char *ostr,struct namelist **olistp );
void	fillMostOrgListArgs(char *str);
void	fillMostOrgSearchArgs(char *cstr,int searchdepth);
/* loc.c */
void	saveLocs(void);
void	restoreSavedLocs(void);
void	copyLocs(struct query *a,struct query *b);
int	listLocs(char *cstr,char *lstr,struct namelist **llistp );
void	printListLocs(char *loc,struct namelist *llistp);
void	freeSavedLocs(void);
void	freeLocs(struct namelist **listpp );
void	freeLocListArgs(void);
void	freeLocSearchArgs(void);
int	listAllLocs(char *cstr,struct namelist **llistp );
int	listMatchingLocs(char *cstr,char *lstr,struct namelist **llistp );
int	readExactLoc(char *lstr,struct namelist **llistp );
int	reallyMakeListLocs(struct namelist **llistp );
int	makeListLocanisations(struct namelist **llistp );
int	readLoc(char *lstr,struct namelist **llistp );
void	fillMostLocListArgs(char *str);
void	fillMostLocSearchArgs(char *cstr,int searchdepth);
/* country.c */
int	makeRootCountry(struct namelist **clistp );
int	listCos(char *cstr,struct namelist **clistp );
void	printListCos(char *cstr,struct namelist *clistp);
void	freeCos(struct namelist **listpp );
void	freeCoListArgs(void);
void	freeCoSearchArgs(void);
int	listAllCos(struct namelist **clistp );
int	listMatchingCos(char *cstr,struct namelist **clistp );
int	readCo(char *objectstr,struct namelist **clistp );
int	listExactCos(char *objectstr,struct namelist **clistp );
int	reallyMakeListCountries(struct namelist **clistp );
int	makeListCountries(struct namelist **clistp );
void	fillMostCountryReadArgs(char *objectstr);
void	fillMostCountryListArgs(void);
void	fillMostCountrySearchArgs(char *objectstr,int searchdepth);
void	makeAllCoFilter(void);
void	makeExplicitCoFilter(char *cstr);
void	coFilter1(char *cstr);
void	coFilter2(char *cstr);
void	coFilter3(char *cstr);
void	coFilter4(char *cstr);
/* cname.c */
void	addToCoList(char *str);
void	addCoNode(char *shortname,char *longname);
char	*mapCoName(char *shortname);
/* video.c */
void	initVideo(void);
char	*checkSetTerm(char *termtype,char *defterm);
void	soundBell(void);
void	output(char c);
void	turnInverseVideoOn(void);
void	turnInverseVideoOff(void);
void	writeInverse(char *str);
void	clearLine(void);
int	printf();
int	fprintf();
int	fputs();
void	goToStartOfLine(void);
int	gputchar(int c);
void	sleep(int secs);
long int getTicks(void);
int	difference(long int t1);
void	checkCtrlC(void);
/* list.c */
void	addToList(struct namelist **lp ,char *str);
char	**makeAllAttrs(struct namelist *atlist) ;
void	freeList(struct namelist **listpp );
/* atts.c */
void	printDetails(int objectType,struct namelist *lp);
void	printPersonOneLiner(struct namelist *lp,int number);
void	printAttValue(char *type,char *value);
char	*mailDomains(char *mstr);
/* pager.c */
int	quitPager(void);
int	testRedisplay(void);
void	setRedisplay(void);
void	pagerOn(int number);
void	linewrapOn(void);
void	linewrapOff(void);
int	isWrapOn(void);
void	resetprint(/* VARARGS */);
void	pageprint(/* VARARGS */);
void	putPagePrompt(void);
int	getPagerInput(void);
int	getpnum(void);
/* mapatt.c */
void	addToAttList(char *str);
void	addAttNode(char *tablename,char *nicename);
char	*mapAttName(char *tablename);
/* dehelp.c */
void	tailorHelp(void);
char	*findHelp(char *helpstr);
void	displayFile(char *filename,int help,int wanttoclear);
void	displayHelp(char *helpstr);
int	validateSetting(int type,char *value);
void	displayCurrentSettings(void);
/* rawinput.c */
void	setRawMode(void);
void	unsetRawMode(void);
/* mapphone.c */
void	addToPhoneList(char *str);
void	addPhoneNode(char *from,char *to);
char	*mapPhone(char *from);
/* fixedfil.c */
/* ufnp.c */
/*
struct	namelist *DNS_append(struct namelist *a,struct namelist *b);
int	countMatches(struct namelist *dns);
static	char	exact_match(char *dn,struct ldapmsg *ats,char *s);
static	char	good_match(char *dn,struct ldapmsg *ats,char *s);
int	dnSelect(char *s,struct namelist **dlist ,struct namelist *(*interact)(void),struct namelist *el,int leafFlag);
static	char	present(char *d,char *t);
int	ufn_search(char *base,char subtree,char *filt,struct namelist **res ,char *s,struct namelist *(*interact)(void),struct namelist *el,int leafFlag);
static	int	rootSearch(char *s,struct namelist *(*interact)(void),struct namelist *el,struct namelist **result );
static	int	intSearch(char *base,char *s,struct namelist *(*interact)(void),struct namelist *el,struct namelist **result );
static	int	leafSearch(char *base,char *s,char subtree,struct namelist *(*interact)(void),struct namelist *el,struct namelist **result );
static	int	keyedSearch(char *base,char *t,char *v,struct namelist *(*interact)(void),struct namelist *el,struct namelist **result );
static	int	purportedMatch(char *base,int c,char **v ,struct namelist *(*interact)(void),struct namelist *el,struct namelist **result );
static	int	envMatch(int c,char **v ,struct namelist *el,struct namelist *(*interact)(void),struct namelist **result );
static	int	friendlyMatch_aux(int c,char **v ,struct _envlist *el,struct namelist *(*interact)(void),struct namelist **result );
struct	_envlist *read_envlist(void);
*/
int	ufn_match(int c,char **v ,struct namelist *(*interact)(struct namelist * dns, char * dn, char * s),struct namelist **result ,struct _envlist *el);
int	ufn_init(void);
/* deufn.c */
void	doUfnSearch(void);
struct	namelist *ufn_interact(struct namelist *dns,char *dn,char *s);
int	printUfnComponents(char *str);
/* isode.c */
char	*isodefile(char *filename,int notused);
int	lexequ(char *str1,char *str2);
int	lexnequ(char *str1,char *str2,int len);
char	*SkipSpace(char *ptr);
char	*TidyString(char *a);
static	void	default_smalloc_handler(void);
#ifndef MSC51
void	(*set_smalloc_handler(void (*fnx)(void)))(void);
#endif
char	*smalloc(int size);
int	sub_string(char *str1,char *str2);
/* ldapcom.c */
struct	ldapmsg *entry_dup(struct ldapmsg *enp);
/* asyndap.c */
int	countConns(void);
struct	opsPending *findOp(int opnum);
void	addToOpList(int opnum,char *dnstr,int type,struct opsPending *parent);
int	removeFromOpList(int opnum);
int	de_asynSearch(int *opnumber);
int	de_search(void);
int	de_list(void);
int	de_read(void);
int	waitSearchResponse(int *opnum);
int	de_wait_response(int opwant,int *opgot);
void	initAbans(void);
void	abandonops(int sig);
void	printOrgAbandons(void);
/* power.c */
char	doPowerSearch(void);
struct	namelist *makeCombinedList(struct namelist *main,struct namelist *addthis);
void	printOrgReport(char *message,struct namelist *lp);
void	printEntry(char *dnstr);
void	showOrgsToSearch(int orgs);
void	clearOrgsToSearch(void);
void	printSelectedEntry(int entNo);
/* generic.c */
void	makeAllFilter(int objectType);
#endif /* NEEDPROTOS */
#endif /* DOS */
