/* messages.h */

/*
 * $Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/messages.h,v 9.3 1993/03/19 22:55:37 isode Exp isode $
 *
 * $Log: messages.h,v $
 * Revision 9.3  1993/03/19  22:55:37  isode
 * Add QOS and DOS-DE code
 *
 * Revision 9.2  1992/12/15  07:05:26  awy
 * Update and fixes
 *
 * Revision 9.1  1992/11/12  20:03:06  awy
 * IC-1 base
 *
 */

/* global relevance */
#define INFOLETTER 'i'
#define SIMPLELETTER 's'
#define MENULETTER 'm'
#define POWERLETTER 'p'
#define BROWSELETTER 'b'
#define YELLOWPAGES 'y'
#define UFNLETTER 'u'
#define HELPLETTER 'h'
#define QUESTIONMARK '?'
#define QUITCHAR 'q'
#define QUITWORD "quit"
#define SEARCHMESS "Searching for "
#define LISTMESS "Listing "
#define THESEARCH "\nThe search "
#define FORENTRY "for `%s' "
#define HASFAILED "has failed, probably because a Directory \nserver is temporarily unavailable.\n\n"
#define YESCHAR 'y'
#define NOCHAR 'n'
#define HELPFILEPREFIX "de/de"

/* de.c */
#ifdef de_c
#define DEFWELCOMEMESS "Welcome to the Directory Service"
#define NODEFAULTCOANDORG "Must configure a default country and organisation for local organisation\nonly queries\n"
#define MODEMENU "\nSelect the mode you would like:\n\n\
S Simple queries - if you know the name of the organisation you want to search\n\
 (this is how the interface always used to behave)\n\n\
P Power Search - to search many organisations simultaneously\n\n%s\
Y Yellow Pages - power searching but allows user to search for an entry\n\
  based on criteria other than the entry name\n\n\
U Enter search string in form of User-Friendly Name - e.g,\n\
  p barker, ucl, uk\n\n\
I Brief instructions explaining the program modes and how to use the program\n\n\
? The help facility - usage and topics\n\n\
Q To quit the program\n\n\
Enter option: "
#define BROWSELINE "B  Browser - best suited for exploring the Directory\n\n"
#define VALIDMODES "ipsbyuh?q\n"
#define POWERSTRING "p"
#define SIMPLESTRING "s"
#define BROWSESTRING "b"
#define YELLOWSTRING "y"
#define UFNSTRING "u"
#define MENUSTRING "m"
#define SIMPLEMODEON "\nSimple query mode selected\n"
#define POWERMODEON "\nPower (multiple organisation) search mode selected\n"
#define LOCALONLY "Local querying only"
#define NOPOWEROPTION " - power search / yellow pages options not available\n\n"
#define NOMENUOPTION " - menu option not available\n\n"
#define ENTERORGCO "Must enter an organisation and country\n\n"
#define ENTERCO "Must enter a country\n\n"
#define TEMPPROBLEM "\n Probably a temporary problem with the Directory Service.\n\n"
#define NOCOMATCH "No countries match `%s'\n\n"
#define NOTHINGTO "\nNothing to search for as no organisation name entered.  Either enter\nan organisation name at the prompt, or press <CR> to start the\nquery again\n\n"
#define NOORGSFOUND "No organisations found. Probably a temporary Directory Service error.\n\n"
#define CFOM "Couldn't find an organisation matching `%s'\n\n"
#define NOORGSMATCH "No organisations match `%s'\n\n"
#define CHECKUNDERLOC "Checking to see if entry might be under a locality\n"
#define NOLOCINFO "No locality information available\n"
#define ONLYONELOC "Only one locality found - `%s'- having a look there ...\n"
#define ANOTHERLOC "Do you want to search another locality (y/n)? "
#define NODEPTS "\n      Can't find any departments."
#define NODEPTMATCH "\n      No departments match `%s'.\n"
#define NOLOCSMATCH "  No localities match `%s'\n"
#define DISPORGDETAILS "      Displaying organisation details.\n\n"
#define CONTPERSONSEARCH "      Continuing to search for person called `%s'\n      within the whole organisation.\n\n"
#define CONTPERSONLIST "      Continuing by listing persons within the whole organisation.\n\n"
#define NOPEOPLE "      No entries for people found.  "
#define NOPEOPLEMATCH "      No persons match `%s'.  "
#define DOSIGNEDREAD "Do you want to do a signed read for this entry? "
#define TRYSIGNEDREAD "Trying signed read ..."
#define SIGNEDREADFAILED "Signed read failed\n"
#define SIGNEDRESOK "Signed results received - all seems OK\n"
#define DISPDEPTDETAILS "Displaying departmental details.\n\n"
#define FOUNDFOLLOWING "\nFound the following entries.  Please select one from the list\nby typing the number corresponding to the entry you want.\n\n"
#define MATCHFOLLOWING "\nGot the following %smatches.  Please select one from the list\nby typing the number corresponding to the entry you want.\n\n"
#define FUZZY "\"fuzzy\" "
#define GOTCONTROL "Input contains control characters - please re-enter\n\n"
#define PPROMPT "Person's name, q to quit, "
#define BROWSE "browse"
#define LISTPEOPLE "list people"
#define OUPROMPT "Department name, "
#define LISTOUS "list depts"
#define OUBROWSE "%s<CR> to %s all depts, "
#define LIST "list"
#define SEARCH "search"
#define SEARCHALLOUS "- to search all departments,\n           "
#define SEARCHALLORGS " to search all organisations,\n           "
#define SEARCHFOR "%s<CR> to search for `%s', "
#define PMHELP "%s? for help\n%s"
#define ORGPROMPT "Organisation name, "
#define GENSEARCH "%s<CR> to search `%s', "
#define WRAPPROMPT "%s\n           "
#define LISTORGS "list orgs"
#define LOCPROMPT "Locality name, "
#define LISTLOCS "list localities"
#define COPROMPT "Country name, "
#define LISTCOS "list countries"
#define UFNPROMPT "\nUser-friendly name, m for menu, q to quit, "
#define UNKNOWNOC "Unknown type in enterString\n"
#define WANTTOQUIT "Do you want to quit the Directory Service (y/n)? "
#define INVNUMBER "Invalid number entered (maximum = %d)\n\n"
#define LISTNOTCURRENT "No list of entries current.  Entry of a number invalid\n"
#ifdef DOS
#define STILLWAITING "\nPress ESC, if you wish to abandon the search.\n\n"
#define OPSOMETIME "\nThis operation is taking some time.\nPress ESC, if you wish to abandon the operation.\n\n"
#else
#define STILLWAITING "\nControl-C, if you wish to abandon the search.\n\n"
#define OPSOMETIME "\nThis operation is taking some time.\nControl-C, if you wish to abandon the operation.\n\n"
#endif DOS
#define STILLTRYING "Still trying ..."
#define SEABAN "\nSearch abandoned\n"
#define ACLPROB "\nSearching this part of the Directory is restricted by the managers\nof the data.\n\n"
#define DISPLAYORG "In the meantime, displaying organisation details.\n"
#define FORPEOPLEOUS "For information on people or departments, try again a little later.\n\n"
#define DISPLAYDEPT "In the meantime, displaying department details.\n"
#define FORPEOPLE "For information on people, try again a little later.\n\n"
#ifdef DOS
#define FORCEQUIT "Press ESC to exit immediately - will exit automatically after %d seconds\n"
#else
#define FORCEQUIT "Control-C to exit immediately - will exit automatically after %d seconds\n"
#endif DOS
#endif
/* init.c */
#ifdef init_c
#define NONNUMERICPORT "Non-numeric port number - `%s'\n"
#define NODSAPTAILOR "Cannot open `dsaptailor' file. Attempting to continue.\n"
#define NOTAILORFILE "No tailor file argument.\n"
#define CANTOPENTFILE "Can't open `%s' tailor file\n"
#define NODETAILOR "Cannot open `detailor' file. Attempting to continue.\n"
#define ARGPROBLEM "Argument parsing problem.  Don't understand -%c flag\n"
#define MEANINGLESS "Ignoring meaningless program argument `%s'\n"
#define NODEWELCOME "Cannot open `%s' file. Attempting to continue.\n"
#define LOGFILEPROBLEM "Couldn't open log file\n"
#define LOGFAILCONT "Can't log session - continuing ...\n\n"
#endif

/* video.c */
#ifdef video_c
#define LISTTERMCHAR "l"
#define DONTKNOWTERMTYPE "\nDon't know anything about your terminal type (%s).\nIf your terminal type is unknown to the system, pressing <CR> for\nterminal type will accept a default terminal type (assumes 24 line screen).\n"
#define ENTERTERMTYPE "Enter your terminal type (or l or L to list possible terminal types): "
#define SCREENSIZE "Your terminal size is set to %d lines.\n"
#define SCREENOK "If that seems OK, press <CR>, otherwise enter the correct number (24 is normal)."
#define SCREENLEN "Length of screen in lines:"
#endif

/* asyndap.c */
#ifdef asyndap_c
#define REMOVEERR "Error - trying to remove an operation from an empty operation list\n"
#define NOOPERR "Error - couldn't find operation %d in list of ops pending\n"
#define NOPROTRESULTS "Didn't get protected results\n"
#define DUANOTIDENTIFIED "DSA results do not include the name of the intended recipient DUA\n"
#define WRONGDUA "DUA name is not the same as the DSA's intended recipient\n"
#define WRONGDSA "Results not from appropriate DSA\n"
#define ABANSEARCHES "\nAbandoning searches outstanding..."
#define ABANORGS "Abandoned searches to the following organisations\n"
#endif

/* atts.c */
#ifdef atts_c
#define NODETAILS "%s(Sorry - no details available)\n"
#endif

/* bind.c */
#ifdef bind_c
#define CANTUSEBACKUP "\nBind failed to specified DSA - security problem\n\
Binding to back-up DSA not permitted as strong authentication required\n"
#define PASSWORDPROMPT "\nEnter password for: "
#define NOADDRESS "No dsa address has been configured in dsaptailor or detailor\n\n"
#define CONNECTING "Connecting to the Directory - wait just a moment please ...\n"
#define BADDSANAME "Badly formed dsa name in tailor file\n\n"
#define NEEDOSISEC "Security Service requires OSISEC\n"
#define FAILSTRONGCREDS "Failed to create strong credentials\n"
#define INSUFFCERTCREDS "Insufficient Certificate Credentials Available\n"
#define CERTMATCHPROBLEM "User Certificate does not match DUA Name\n"
#define NOOSISECLIBS "\nStrong authentication libraries not linked in this binary\n\n"
#define BADADDRESS "DSA address format problem\n"
#define TEMPUNAVAIL "\n\nDirectory server temporarily unavailable\n\n"
#define TRYANOTHER "Trying another server ...\n\n"
#define NOBIND1 "\nBind error - check the username/password in the tailor file\n"
#define NOBIND2 "\nBind error - authentication problem - contact system administrator\n"
#define NOBIND3 "\nBind error - type %d, code %d\n"
#define BINDFAIL "\nCouldn't bind to the DSA - probably something wrong with the DSA address\n\n"
#define NOLDAPSERV "No LDAP server host has been configured in detailor\n\n"
#define NOLDAPCONN "\nCan't connect to LDAP server running on host `%s'\n"
#define LDREASON "Reason"
#define NONAME "Can't bind with simple authentication if no user name supplied\n"
#define NOAUTHBIND "Binding without authentication ...\n"
#define PASSPROB "Bind failed ... password problem?\n"
#define THREETRIES "Only three attempts at entering a password allowed\n"
#define STRONGBINDOK "User has bound with strong authentication to the directory\n"
#endif

/* cname.c */
#ifdef cname_c
#define NAMEMAPPROB "Problem parsing country name mappings\n"
#define NOT2CHARS "Problem - short country name in mapping table not 2 chars\n"
#endif

/* country.c */
#ifdef country_c
#define NOCOSMATCH "No countries match entered string\n"
#endif

/* loc.c */
#ifdef loc_c
#define NOLOCSFOUND "  No localities found\n"
#define NOLOCSMATCH "  No localities match string `%s'\n"
#endif

/* org.c */
#ifdef org_c
#define NOORGSFOUND "  No organisations found\n"
#define NOORGSMATCH "  No organisations match string `%s'\n"
#endif

/* ou.c */
#ifdef ou_c
#define NOOUSFOUND "    No organisational units found\n"
#define NOOUSMATCH "    No organisational units match string `%s'\n"
#endif

/* people.c */
#ifdef people_c
#define NOPEOPLEFOUND "      No people, rooms or roles found\n"
#define NOPEOPLEMATCH "      No people, rooms or roles match entered string\n"
#endif

/* deufn.c */
#ifdef deufn_c

#define UFNTOOSHORT "The name you have entered contains only %d comma-separated component(s).\n\
You have to enter at least 3 name parts to find people entries.\n\
The suggested format is: person name, organisation name, country name\n"
#define AVOIDDOMAINS "You will do better if you avoid using domain names or userids as search keys.\n"
#define MOREUFNDETAILS "Do you want to re-enter the search details (y/n)? "
#define NOUFN "Sorry, but UFN searching is not available at the moment - \
missing or\n\
unparseable ufnrc file.  In the meantime try and find the entry you want by\n\
responding to the series of prompts.\n\n"
#define NOUFNMATCH "\nNo matching entries found\n"
#define CANTREAD "Couldn't read entry for `%s'\n"
#define INVNUMBER "Invalid number entered (maximum = %d)\n\n"
#define ENTNUMBER "Enter number, or press RETURN if none of these entries is the one required\n: "
#endif

/* mapatt.c */
#ifdef mapatt_c
#define PROBATTNAMEMAP "Problem mapping attribute names...\n"
#endif

/* mapphone.c */
#ifdef mapphone_c
#define PROBMAPPINGPHONE "Problem mapping phone numbers...\n"
#endif

/* pager.c */
#ifdef pager_c
#define PROMPT1  "SPACE for next screen, %c to quit pager"
#define PROMPT2 "; or the number of the entry"
#endif

/* power.c */
#ifdef power_c
#define STILLTODOMESS "Organisations still to search"
#define NOPERSONNAME "Must enter a person's name\n"
#define NOMATCHINGORGS "No organisations match `%s'\n"
#define MAXPARALLEL "The scope of this power search is %d organisations.\n\
However, a limit is imposed so that only %d organisations can be searched\n\
simultaneously.  You have three options for continuing the search:\n\n"
#define LIMITEDOPTS "1    You will be offered a list of up to %d organisations at a time.\n\
     You will be asked if you wish to search that set of organisations.\n\
     Having searched / not searched that set or organisations, you will then\n\
     be asked whether you want to search the next batch of organisations.\n\
\n\
2    You will be shown the full list of organisations and you can then\n\
     select up to %d organisations to be searched from the list.\n\
     You can make repeated selections from the list.\n\
\n\
3    You can restrict the scope of the search by specifying the organisation\n\
     name more precisely: for example, London, or University.\n\
\n\
<CR> to discontinue this search.\nEnter option: "
#define SEARCHTHESEORGS "Search this set of organisations (y/n)? "
#define BYNUMBERS "You may select up to %d organisations to search simultaneously\n\
Enter the numbers corresponding to the organisations you wish to search\n\
as a list with the numbers separated by spaces: e.g.: 1 5 23 46\n"
#define INITSEARCHES "Initiating searches to %d organisations..."
#define SEARCHINITFAIL "Failed to initiate search to %s\n"
#ifdef DOS
#define WAITING "\nWaiting for results (press ESC to abandon outstanding searches)...\n\n"
#else
#define WAITING "\nWaiting for results (control-C to abandon outstanding searches)...\n\n"
#endif DOS
#define CANTFINDOP "Can't find op %d on list\n"
#define NOTHINGFOUND "\nNo entries were found.\n\n"
#define OPTIONS "\nYou can select one from the list of entries found, or start another query.\nThe following options are available:\n\n"
#define NUMBER "nn      Type the number corresponding to the entry you want\n"
#define LISTCHAR 'l'
#define LIST "%c       To list the results again\n"
#define SUCCESSCHAR 's'
#define SUCCESS "%c       To list organisations which were searched\n"
#define FAILCHAR 'f'
#define FAIL1 "%c       To list organisations which could not be searched (probably because\n"
#define FAIL2 "        of server failure)\n"
#define ABANCHAR 'a'
#define ABAN "%c       To list organisations not searched because search interrupted by user\n"
#define NEXTSTR "%c       To search the next set of up to %d organisations\n"
#define MORECHAR 'm'
#define MORESTR "%c       To search up to %d more selected organisations\n"
#define ANOTHER "<CR>    To do another multiple organisation search\n"
#define QUITPOWER "%c       To quit power searching\n"
#define ANOTHERYP "<CR>    To do another yellow pages search\n"
#define QUITYP "%c       To quit yellow pages searching\n"
#define SHOWPOWEROPTS "%c       To see this list of options\n\n"
#define OPTSTRING "Enter option: "
#define RANGEPROBLEM "Number entered out of range\n"
#define OKSEARCH "Searched the following organisations\n"
#define CANTSEARCH "Unable to search the following organisations\n"
#endif

/* util.c */
#ifdef util_c
#define MAINTAINCONN "\nPress <CR> within 10 seconds to maintain connection\n"
#define LIMIT "\nA limit has been imposed by the managers of the data which prevents the \nlisting of all the entries in the Directory beyond this point.  Try and\n"
#define GUESS "guess the name of the entry you want.  The directory may find the entry\neven if you don't get the name exactly right.\n"
#define BEPRECISE "specify the query more precisely.\n"
#define REFER "Please refer to the ?matching help screen for more detais.\n"
#define NOTALL1 "\nIt was not possible to search all the parts of the Directory necessary\nto complete this search - part of the database is currently inaccessible.\n"
#define NOTALL2 "There may thus be more results than those displayed.\n\n"
#define SHOWORG "\nDisplaying organisation details.\n\n"
#define SHOWDEPT "\nDisplaying department details.\n\n"
#define FUZZILYMATCHED " (fuzzily matched)"
#endif

/* dehelp.c */
#ifdef dehelp_c

#define VERSSTR "DE version number: %s\n"
#define DOSHELPFILE "de.hlp"
#define NOHELP "No help available for `%s'\n"
#define HELPHELP "\nHELP about HELP available by typing ?? or ?HELP\n\n"
#define SET1 "It is possible to modify some values used by this program, for example the\n"
#define SET2 "number of lines on the user's screen.  "
#define CHANGESET "\nDo you want to change any settings (y/n) ?"
#define YES "yes"
#define NO "no"
#define ON "on"
#define OFF "off"
#define ENTERVARNAME "Enter name of variable you wish to modify:"
#define NOSUCHVAR "No such variable <%s>\n"
#define ENTERVARVAL "Enter value of variable:"
#define TTWARNING "\nNote that resetting the terminal type may reset the width and length of\nthe screen to the default sizes for that terminal type.  Readjust these\nvariables if you wish\n"
#define CURRSET "These are the current settings:\n\nVARIABLE     VALUE           DESCRIPTION\n  NAME\n"

/* These are the strings used in the ?settings option.  The number is
   the number of characters that has to be entered to uniquely identify one
   option from others */
#define TTYPE "termtype"
#define TTYPELEN 1
#define INVVIDEO "invvideo"
#define INVVIDEOLEN 1
#define COLS "cols"
#define COLSLEN 1
#define LINES "lines"
#define LINESLEN 1
#endif

/* help screens  - these are defined outside of dehelp.c as some of them 
   have to be referred to in de.c */
#ifdef helpscreens

/* These are the strings used to identify the help screens.  The associated
   numbers are the number of characters required to uniquely identify a
   particular screen.   Note that some of the var names have a 2 appended -
   this is to avoid clashes with other definitions */
#define BYEBYE "byebye"
#define BYEBYELEN 1
#define COMMANDS "commands"
#define COMMANDSLEN 3
#define COUNTRY2 "country"
#define COUNTRY2LEN 3
#define DEPARTMENT "department"
#define DEPARTMENTLEN 1
#define DEPT "dept"
#define DEPTLEN 4
#define EX1 "ex1"
#define EX1LEN 3
#define EX2 "ex2"
#define EX2LEN 3
#define HELP "help"
#define HELPLEN 1
#define INTRO "intro"
#define INTROLEN 1
#define LISTING "list"
#define LISTLEN 2
#define LOCALITY2 "locality"
#define LOCALITY2LEN 2
#define MATCHING "matching"
#define MATCHINGLEN 2
#define MODES "modes"
#define MODESLEN 2
#define MULTI "multi"
#define MULTILEN 2
#define NAME "name"
#define NAMELEN 1
#define	ORGANISATION "organisation"
#define ORGANISATIONLEN 3
#define	ORGANIZATION "organization"
#define ORGANIZATIONLEN 3
#define	ORGINFO "orginfo"
#define ORGINFOLEN 4
#define	PERSON2 "person"
#define PERSON2LEN 2
#define	POWER "power"
#define POWERLEN 2
#define	PROBLEMS "problems"
#define PROBLEMSLEN 2
#define	SETTINGS "settings"
#define SETTINGSLEN 2
#define	SCREEN "screen"
#define SCREENLEN 2
#define	SPECIAL "special"
#define SPECIALLEN 2
#define	TERMTYPES "termtypes"
#define TERMTYPESLEN 1
#define	UFN "ufn"
#define UFNLEN 1
#define VERSION "version"
#define VERSIONLEN 1
#define	WILDCARDS "wildcards"
#define WILDCARDSLEN 1
#define YELLOWHELP "yp"
#define YELLOWHELPLEN 1

/* some special versions of files which contain references to control-C
   to quit - proscribed in the PARADISE central DUA */
#define	INTROCC "introcc"
#define NAMECC "namecc"
#define COMMANDSCC "commandscc"
#endif

/* browse.c */
#ifdef browse_c
#define NOBROWSER "Sorry, but the browser is not available\n\n\n"
#define BROWSEWAIT "Please wait a moment while the browser is started ...\n"
#define BROWSERPROBLEM "Couldn't run the browser\n"
#endif

/* qos.c */
#ifdef qos_c
#define OPSOMETIME "\nThis operation is taking some time"
#define LAST "\nLast attempt took about "
#define LASTFEW "\nLast few attempts took about "
#define USUALLYTAKES "\nThis search has recently been taking about "
#define SECONDS " seconds"
#define PLEASEWAIT ", please wait"
#define CONTROLC "\nControl-C, if you wish to abandon the operation.\n\n"
#define LASTATTEMPT "\nLast attempt "
#define FAILED "failed - this part of the directory may be suffering from a\nreliability problem."
#define WASABANDONED "was abandoned.  This may have been because searches were\ntaking a long time."
#define THEREHAVE "\nThere have been "
#define FAILURESABANDONS " failures/abandons since "
#define WHENLAST "\nWhen this part of the directory was last accessed successfully, searches\ntook about "
#define NOTIMEYET "\nNo average access time recorded yet."
#define OVERTIME "\nSeems to be taking longer than normal !!"
#define PLEASEWAITUNTIL "\nPlease be prepared to wait this time for results."
#endif

/* yp.c */
#ifdef yp_c
#define YPSELECTED "\nYellow Pages mode selected\n\n\
Select one of the following categories:\n"
#define ENTERATTTYPE "Category type: <CR> to escape back to menu, \
? for help\n:-"
#define ATTNORANGEPROB "Category number out of range\n"
#define NOSUCHATTT "No such category\n"
#define ENTERATTVAL "Category item value - <CR> to ask for category again\n:-"
#define MATCHTYPES "\nSelect one of the following types of matching:\n\
 1: Exact\n 2: Substring\n 3: Approximate\n"
#define ENTERMATCHTYPE "Matching type\n:-"
#define SEARCHSCOPE "\nSelect the scope of the yellow pages search:\n\n"
#endif
