/* namelist.h */

/*
 * $Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/namelist.h,v 9.2 1993/03/19 22:55:40 isode Exp isode $
 *
 *
 * $Log: namelist.h,v $
 * Revision 9.2  1993/03/19  22:55:40  isode
 * Add QOS and DOS-DE code
 *
 * Revision 8.1  1991/09/13  14:36:41  isode
 * PARADISE Upgrade release
 *
 * Revision 8.0  91/07/17  13:18:46  isode
 * Release 7.0
 *
 *
 */

/*
 *				  NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */

#ifndef _namelist_h
#define _namelist_h

#include <stdio.h>
#ifdef USELDAP
#ifndef LDAP_PORT
#ifdef IC
#include <ldap/lber.h>
#include <ldap/ldap.h>
#else
#include <lber.h>
#include <ldap.h>
#endif /* IC */
#endif
#include "util.h"
#else
#include "quipu/attrvalue.h"
#endif USELDAP
#include "util.h"

#ifdef USELDAP
char **makeAllAttrs();
#endif USELDAP

struct namelist {
  char *name;
  struct namelist *next;
#ifdef USELDAP
  LDAPMessage * ats;
#else
  Attr_Sequence ats;
#endif USELDAP
};

#define NULLLIST (struct namelist *)NULL
#define list_alloc()   (struct namelist *)smalloc(sizeof (struct namelist))

#endif
