/* rawinput.c */

#ifndef lint
static char *rcsid = "$Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/rawinput.c,v 9.2 1993/03/19 22:56:05 isode Exp isode $";
#endif

/*
 * $Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/rawinput.c,v 9.2 1993/03/19 22:56:05 isode Exp isode $
 *
 *
 * $Log: rawinput.c,v $
 * Revision 9.2  1993/03/19  22:56:05  isode
 * Add QOS and DOS-DE code
 *
 * Revision 8.1  1991/09/13  14:36:41  isode
 * PARADISE Upgrade release
 *
 * Revision 8.0  91/07/17  13:18:49  isode
 * Release 7.0
 *
 *
 */

/*
 *				  NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */


#ifndef DOS
#include <stdio.h>
#include <sys/termio.h>

static short savemode;
static unsigned char savemin;
static struct termio t;

/* ought to be a bit friendlier than this - but at least this attempts
   to be safe */

setRawMode()
{

  if (ioctl(0, TCGETA, &t) == -1)
  {
    (void) fprintf(stderr, "Couldn't go into raw mode (1), aaaaaagggggghhhhh!!!!\n");
    cleanup(-1);
  }
  savemode = t.c_lflag;
  savemin = t.c_cc[VMIN];
  t.c_lflag &= ~(ICANON|ECHO|ISIG);
  t.c_cc[VMIN] = 1;
  if (ioctl(0, TCSETA, &t) == -1)
  {
    (void) fprintf(stderr, "Couldn't go into raw mode (2), aaaaaagggggghhhhh!!!!\n");
    cleanup(-1);
  }
}

unsetRawMode()
{

  t.c_lflag = savemode;
  t.c_cc[VMIN] = savemin;
  if (ioctl(0, TCSETA, &t) == -1)
  {
    (void) fprintf(stderr, "Couldn't get out of raw mode, aaaaaagggggghhhhh!!!!\n");
    cleanup(-1);
  }
}
#endif DOS
