/* util.h */

/*
 * $Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/util.h,v 9.3 1993/03/19 22:56:18 isode Exp isode $
 *
 *
 * $Log: util.h,v $
 * Revision 9.3  1993/03/19  22:56:18  isode
 * Add QOS and DOS-DE code
 *
 * Revision 9.2  1992/12/15  07:05:26  awy
 * Update and fixes
 *
 * Revision 8.1  1991/09/13  14:36:41  isode
 * PARADISE Upgrade release
 *
 * Revision 8.0  91/07/17  13:18:50  isode
 * Release 7.0
 *
 *
 */

/*
 *				  NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */


#ifndef _xdua_util_h_
#define _xdua_util_h_

char *copy_string();
char *lastComponent();
char * removeLastRDN();
char * lastRDN();
char *dn2pstr();
char *rdn2pstr();
char *orgNameFromDN();
char *findHelp();
char * atString();
char * ocString();
char * shortString();

char enterOption();

void addToList();
void addToAttList();
void addToCoList();
void addToPhoneList();
void printLastComponent();
void printListCos();
void printListLocs();
void printListOrgs();
void printListOUs();
void printListPRRs();
void hackprintListPRRs();
void printOrgOUDetails();
void printDetails();
void printPersonOneLiner();

void genFilter1();
void genFilter2();
void genFilter3();
void genFilter4();
void genAllFilter();
void genExplicitFilter();

#ifdef USELDAP
void fillMostReadArgs();
void fillMostListArgs();
void fillMostSearchArgs();
#else
struct ds_read_arg *fillMostReadArgs();
struct ds_list_arg *fillMostListArgs();
struct ds_search_arg *fillMostSearchArgs();
#endif USELDAP

void freeReadArgs();
void freeListArgs();
void freeSearchArgs();

void freeList();
void initVideo();
void initPage();
void clearProblemFlags();
void setProblemFlags();
void suppressSearchMess();
void logSearchSuccess();
void logListSuccess();
void logReadSuccess();
void logReadSuccess2();
void logSearchSuccess2();
void logListSuccess2();
void initAlarm();
void alarmCleanUp();
void startUnbindTimer();
void stopUnbindTimer();
void soundBell();
void saveLocs();
void restoreSavedLocs();
void copyLocs();
void freeSavedLocs();
void doInProgress();
void initAbans();
void setOrgsToDispMess();
void unsetOrgsToDispMess();
void de_unbind();
void tailorHelp();
void setRedisplay();
void doYellow();
void pagerOn();
void de_exit();
void showAnyProblems();
void pageprint();
void resetprint();
void welcome();
void displayHelp();
void linewrapOn();
void linewrapOff();
void sortList();

#endif _xdua_util_h_

