/* asyn.h */

/*
 * $Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/asyn.h,v 9.2 1993/03/19 22:48:35 isode Exp isode $
 *
 *
 * $Log: asyn.h,v $
 * Revision 9.2  1993/03/19  22:48:35  isode
 * Add QOS and DOS-DE code
 *
 * Revision 9.1  1992/11/12  20:03:06  awy
 * IC-1 base
 *
 */

/*
 *				  NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */

#include "namelist.h"

#ifdef QOS
#include "qos.h"
#endif QOS

struct opsPending {
  int opno;
  char * orgname;
  struct namelist * lp;
  int type;
  int subordSearches;
  struct opsPending * parent;
  struct opsPending * next;
#ifdef QOS
  struct qosentry qosRec;
#endif QOS
};

#define NULLOPL (struct opsPending *)NULL
#define oplist_alloc()   (struct opsPending *)smalloc(sizeof (struct opsPending))

struct opsPending *findOp();
