/* mapatt.c */

#ifndef lint
static char *rcsid = "$Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/mapatt.c,v 9.2 1993/03/19 22:55:20 isode Exp isode $";
#endif

/*
 * $Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/mapatt.c,v 9.2 1993/03/19 22:55:20 isode Exp isode $
 *
 *
 * $Log: mapatt.c,v $
 * Revision 9.2  1993/03/19  22:55:20  isode
 * Add QOS and DOS-DE code
 *
 * Revision 8.1  1991/09/13  14:36:41  isode
 * PARADISE Upgrade release
 *
 * Revision 8.0  91/07/17  13:18:44  isode
 * Release 7.0
 *
 *
 */

/*
 *				  NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */

#define mapatt_c
#ifdef DOS
#include <string.h>
#endif
#include "messages.h"
#include <stdio.h>
#include "util.h"
#include "mapatts.h"
#ifdef USELDAP
#include "isomanifest.h"
#include "demanifest.h"
#else
#include "quipu/util.h"
#endif USELDAP

extern struct mapnamelist * mapnamelp;
static struct mapnamelist * taillp;

void
addToAttList(str)
char *str;
{
char * cp;

  cp = index(str, ' ');
  if (cp == NULLCP)
  {
    (void) fprintf(stderr, PROBATTNAMEMAP);
    return;
  }
  *cp = '\0';
  cp++;
  addAttNode(str, cp);
}

void
addAttNode(tablename, nicename)
char * tablename, * nicename;
{
struct mapnamelist * mnlp;

  mnlp = mapname_alloc();
  if (mapnamelp != NULLMNLIST)
  {
    taillp->next = mnlp;
    taillp = mnlp;
  }
  else
    mapnamelp = taillp = mnlp;
  mnlp->tablename = copy_string(tablename);
  mnlp->nicename = copy_string(nicename);
  mnlp->next = NULLMNLIST;
}

char *
mapAttName(tablename)
char * tablename;
{
struct mapnamelist * mnlp;

  for (mnlp = mapnamelp; mnlp != NULLMNLIST; mnlp = mnlp->next)
    if (strcmp(tablename, mnlp->tablename) == 0)
      return mnlp->nicename;
  return tablename;
}
