/* opargs.c */

#ifndef lint
static char *rcsid = "$Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/list.c,v 9.3 1993/03/19 22:54:47 isode Exp isode $";
#endif

/*
 *				  NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */


#ifdef DOS
#include <stdlib.h>
#include "proto-de.h"
#endif

#include <stdio.h>

#ifdef USELDAP
#include <string.h>
#ifdef IC
#include <ldap/lber.h>
#include <ldap/ldap.h>
#else
#include <lber.h>
#include <ldap.h>
#endif /* IC */
#include "isomanifest.h"
#endif USELDAP

#include "util.h"
#include "namelist.h"

#ifndef USELDAP
#include "quipu/util.h"
#include "quipu/list.h"
#include "quipu/ds_search.h"
#endif USELDAP

#ifdef USELDAP
extern char * ldap_base;
extern char ** ldap_attrs;
#endif USELDAP

#ifndef USELDAP
struct ds_list_arg larg;
struct ds_search_arg sarg;
#endif USELDAP

void
freeReadArgs()
{
#ifdef USELDAP
        freeLdapOpArgs();
#endif USELDAP
}


void
freeListArgs()
{
#ifdef USELDAP
        freeLdapOpArgs();
#else
        dn_free(larg.lsa_object);
#endif USELDAP
}

void
freeSearchArgs()
{
#ifdef USELDAP
       freeLdapOpArgs();
#else
       dn_free(sarg.sra_baseobject);
       as_free(sarg.sra_eis.eis_select);
#endif USELDAP
}
