/* messages.h */

/*
 * $Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/messages.h,v 9.3 1993/03/19 22:55:37 isode Exp isode $
 *
 * $Log: messages.h,v $
 * Revision 9.3  1993/03/19  22:55:37  isode
 * Add QOS and DOS-DE code
 *
 * Revision 9.2  1992/12/15  07:05:26  awy
 * Update and fixes
 *
 * Revision 9.1  1992/11/12  20:03:06  awy
 * IC-1 base
 *
 * Translated in Dutch by RCC, 19 may 1994, M.P. Venhoek*
 * Vertaald in het Nederlands door RCC. 22 juli 1993, M.P. Venhoek
 * Last Revision (manual) 1994/05/19
 */

/* global relevance */
#define INFOLETTER 'i'
#define SIMPLELETTER 's'
#define MENULETTER 'm'
#define POWERLETTER 'p'
#define BROWSELETTER 'b'
#define YELLOWPAGES 'y'
#define UFNLETTER 'u'
#define HELPLETTER 'h'
#define QUESTIONMARK '?'
#define QUITCHAR 'q'
#define QUITWORD "quit"
#define SEARCHMESS "Zoekend naar "
#define LISTMESS "Ik toon "
#define THESEARCH "\n Het zoeken "
#define FORENTRY "naar '%s' "
#define HASFAILED "is mislukt, waarschijnlijk omdat een Directory Server \ntijdelijk onbereikbaar is. \nProbeer het later nog eens.\n"
#define YESCHAR 'y'
#define NOCHAR 'n'

/* de.c */
#ifdef de_c
#define DEFWELCOMEMESS "Welkom bij ZOEK - SURFnet / BiZa Directory Pilot"
#define NODEFAULTCOANDORG "Er moet een standaard land en organisatie gedefinieerd zijn voor het zoeken \nnaar alleen organisaties\n"
/* #define MODEMENU "Deze versie van DE ondersteund alleen eenvoudig zoeken (simple mode) \n" */
#define MODEMENU "\nSelecteer de gewenste mode: \n\n\
#define BROWSELINE "Sorry, de browser is niet beschikbaar \n"
#define VALIDMODES "ish?q\n"
#define POWERSTRING "p"
#define SIMPLESTRING "s"
#define BROWSESTRING "b"
#define MENUSTRING "m"
#define SIMPLEMODEON "\nEenvoudig zoeken \n"
#define POWERMODEON "\nSorry, de power search is niet beschikbaar \n"
#define LOCALONLY "Alleen lokaal zoeken is mogelijk"
#define NOPOWEROPTION " - power search is niet beschikbaar\n\n"
#define NOMENUOPTION " - menu optie is niet beschikbaar\n\n"
#define ENTERORGCO "U moet een organisatie en land opgeven\n\n"
#define ENTERCO "U moet een land opgeven \n\n"
#define TEMPPROBLEM "\n Er is een tijdelijk probleem met de Directory Service. \n\n"
#define NOCOMATCH "Ik kan geen land `%s' vinden\n\n"
#define NOTHINGTO "\nIk kan niet zoeken, omdat er geen organisatie is opgegeven. \nGeef een organisatie op, of druk op <CR> om de zoekactie opnieuw te starten\n\n"
#define NOORGSFOUND "Geen organisaties gevonden. Waarschijnlijk een tijdelijke probleem\nmet de Directory Service.\n\n"
#define CFOM "Geen organisatie gevonden die overeenkomt met `%s'\n\n"
#define NOORGSMATCH "Geen organisatie met de naam `%s'\n\n"
#define CHECKUNDERLOC "Kijken of de entry onder een regio valt\n"
#define NOLOCINFO "Geen informatie over regio's beschikbaar\n"
#define ONLYONELOC "Slechts een regio gevonden (`%s') - daar zoeken ....\n"
#define ANOTHERLOC "Wilt u een andere regio doorzoeken (j/n) ?"
#define YESCHAR 'j'
#define NODEPTS "\n      Kan geen afdeling vinden.\n"
#define NODEPTMATCH "\n      Geen afdeling met de naam `%s'.\n"
#define DISPORGDETAILS "      Tonen van de organisatie gegevens.\n\n"
#define CONTPERSONSEARCH "      Doorgaan met zoeken naar de persoon `%s'\n      binnen de gehel organisatie.\n\n"
#define NOPEOPLE "      Geen entries van personen gevonden.  "
#define NOPEOPLEMATCH "      Geen persoon met de naam `%s'. "
#define DISPDEPTDETAILS "Tonen van de afdelings gegevens.\n\n"
#define FOUNDFOLLOWING "\nDe volgende entries zijn gevonden. Selecteer uit de lijst \ndoor het intypen van het nummer van de gezochte entry.\n\n"
#define MATCHFOLLOWING "\nDe volgende `%s'overeenkomende entries zijn gevonden. Selecteer uit de lijst\ndoor het intypen van het nummer van de gezochte entry.\n\n"
#define FUZZY "\"fuzzy\" "
#define PPROMPT "Naam van de persoon, q (quit) = stoppen, "
#define BROWSE "browse"
#define LISTPEOPLE "lijst"
#define OUPROMPT "Naam van de afdeling, "
#define LISTOUS "lijst"
#define OUBROWSE "%s<CR> = alle afdelingen %s, "
#define LIST "tonen"
#define SEARCH "doorzoeken"
#define SEARCHALLOUS "- alle afdelingen doorzoeken,\n         "
#define SEARCHALLORGS " alle organisaties doorzoeken,\n           "
#define SEARCHFOR "%s<CR> zoeken naar `%s', "
#define PMHELP "%s? = hulp\n%s"
#define ORGPROMPT "Naam van de organisatie, "
#define GENSEARCH "%s<CR> om `%s' te doorzoeken, "
#define WRAPPROMPT "%s\n           "
#define LISTORGS "lijst"
#define LOCPROMPT "Naam van de regio, "
#define LISTLOCS "lijst"
#define COPROMPT "Naam van het land, "
#define LISTCOS "lijst"
#define UNKNOWNOC "Onbekend type in invoer\n"
#define QUITWORD "quit"
#define WANTTOQUIT "Wilt u de Directory Service beeindigen (j/n) "
#define INVNUMBER "Onjuist nummer (maximum = %d)\n\n"
#define LISTNOTCURRENT "Geen lijst beschikbaar. Opgeven van een nummer is niet mogelijk\n"
#define NOCHAR 'n'
#ifdef DOS
#define STILLWAITING "\nDruk op ESC als u het zoeken wilt afbreken.\n\n"
#define OPSOMETIME "\nDeze zoekactie kan even duren.\nDruk op ESC als u het zoeken wilt afbreken.\n\n"
#else
#define STILLWAITING "\nDruk op Control-C als u het zoeken wilt afbreken.\n\n"
#define OPSOMETIME "\nDeze zoekactie kan even duren.\nDruk op Control-C als u het zoeken wilt afbreken.\n\n"
#endif DOS
#define STILLTRYING "Ik ben nog aan het zoeken ..."
#define SEABAN "\nZoekactie afgebroken!\n"
#define ACLPROB "\nHet doorzoeken van dit deel van de Directory is afgeschermd door de \nbeheerder van de gegevens.\n"
#define THESEARCH "\nHet zoeken "
#define FORENTRY "naar `%s' "
#define HASFAILED "is mislukt. Waarschijnlijk omdat een\nDirectory Server tijdelijk niet beschikbaar is.\n\n"
#define DISPLAYORG "Ik heb wel de gegevens van de organisatie gevonden.\n"
#define FORPEOPLEOUS "Voor informatie over afdelingen of personen kunt u later nog eens zoeken.\n\n"
#define DISPLAYDEPT "Ik heb wel de gegevens van de afdeling gevonden.\n"
#define FORPEOPLE "Voor informatie over personen kunt u later nog eens zoeken.\n\n"
#ifdef DOS
#define FORCEQUIT "Druk op ESC om direct te stoppen - automatisch stoppen na %d seconden.\n"
#else
#define FORCEQUIT "Druk op Control-C om direct te stoppen - automatisch stoppen na %d seconden.\n"
#endif DOS
#endif
/* init.c */
#ifdef init_c
#define NODSAPTAILOR "Kan bestand `dsaptailor' niet openen. Probeer door te gaan.\n"
#define NODETAILOR "Kan bestand `detailor' niet openen. Probeer door te gaan.\n"
#define ARGPROBLEM "Argument parsing problem.  -%c parameter onbekend.\n"
#define NODEWELCOME "Kan bestand `dewelcome' niet openen. Probeer door te gaan.\n"
#endif

/* video.c */
#ifdef video_c
#define LISTTERMCHAR "l"
#define DONTKNOWTERMTYPE "\nIk weet niets over uw terminal type (%s).\nAls uw terminal type niet ondersteund wordt, type dan <CR>.\nIk ga dan uit van een terminal met 24 regels op een scherm.\n"
#define ENTERTERMTYPE "Geef uw terminal type (of een l of L voor een lijst met terminal types): "
#define SCREENSIZE "De omvang van uw scherm is %d regels.\n"
#define SCREENOK "Als dit goed is, druk op <CR>. Geef anders het correcte aantal regels."
#define SCREENLEN "Aantal regels op een scherm:"
#endif

/* asyndap.c */
#ifdef asyndap_c
#define REMOVEERR "Error - tracht een operatie te verwijderen terwijl er geen operaties zijn.\n"
#define NOOPERR "Error - kan operatie %d niet vinden in lijst met operaties.\n"
#define ABANSEARCHES "Afbreken uitstaande zoekacties...\n"
#define ABANORGS "Afgebroken zoekacties voor de volgende organisaties\n"
#endif

/* atts.c */
#ifdef atts_c
#define NODETAILS "%s(Sorry - geen gegevens beschikbaar)\n"
#endif

/* bind.c */
#ifdef bind_c
#define NOADDRESS "Geen DSA adres bekend in bestand dsaptailor of detailor\n\n"
#define CONNECTING "Verbinding opbouwen met de Directory - even geduld a.u.b...\n"
#define BADADDRESS "DSA adres heeft een verkeerd formaat\n"
#define TEMPUNAVAIL "\n\nDirectory server tijdelijk niet beschikbaar\n"
#define TRYANOTHER "Ik probeer een andere server ...\n"
#define NOBIND1 "\nBind error - controleer username/password in de tailor file\n"
#define NOBIND2 "\nBind error - waarschuw de systeembeheerder!\n"
#define NOBIND3 "\nBind error - type %d, code %d\n"
#define BINDFAIL "\nKan geen verbinding maken met de DSA - waarschijnlijk een adres probleem\n\n"
#define NOLDAPSERV "Geen LDAP serverhost geconfigureerd in detailor\n\n"
#define NOLDAPCONN "\nKan geen verbinding maken met de LDAP server op de host `%s'\n"
#define LDREASON "Reden"
#endif

/* cname.c */
#ifdef cname_c
#define NAMEMAPPROB "Probleem met het vertalen van de landcodes in landnamen (detailor).\n"
#define NOT2CHARS "Probleem - korte landsnaam in tabel (detailor) is geen 2 karakters.\n"
#endif

/* country.c */
#ifdef country_c
#define NOCOSMATCH "Geen land met de door u opgegeven naam aanwezig.\n"
#endif

/* loc.c */
#ifdef loc_c
#define NOLOCSFOUND "  Geen regio's gevonden.\n"
#define NOLOCSMATCH "  Geen regio met de naam `%s'\n"
#endif

/* org.c */
#ifdef org_c
#define NOORGSFOUND "  Geen organisaties gevonden.\n"
#define NOORGSMATCH "  Geen organisatie met de naam `%s'\n"
#endif

/* ou.c */
#ifdef ou_c
#define NOOUSFOUND "    Geen afdelingen gevonden.\n"
#define NOOUSMATCH "    Geen afdeling met de naam `%s'\n"
#endif

/* people.c */
#ifdef people_c
#define NOPEOPLEFOUND "      Geen personen, functies of kamers gevonden.\n"
#define NOPEOPLEMATCH "      Geen persoon, functie of kamer met de door u opgegeven naam aanwezig.\n"
#endif

/* deufn.c */
#ifdef deufn_c
#define NOUFN "Sorry, maar zoeken met UFN kan op dit moment niet. Probeer te zoeken door\nde vragen te beantwoorden.\n\n"
#define NOUFNENV "Sorry, maar er zijn geen definities gemaakt voor zoeken met UFN. \nRaadpleeg uw systeembeheerder.\nProbeer te zoeken door de vragen te beantwoorden.\n\n"
#define NOUFNMATCH "\nGeen overeenkomende entries gevonden.\n"
#define CANTREAD "Kan entry voor `%s' niet lezen.\n"
#define INVNUMBER "Ongeldig nummer (maximum = %d)\n\n"
#define ENTNUMBER "Type een nummer, of druk op <CR> als u geen van deze entrie wilt zien\n: "
#endif

/* mapatt.c */
#ifdef mapatt_c
#define PROBATTNAMEMAP "Probleem met het vertalen van attribuutnamen (detailor).\n"
#endif

/* mapphone.c */
#ifdef mapphone_c
#define PROBMAPPINGPHONE "Probleem met het vertalen van telefoonnummers (detailor).\n"
#endif

/* pager.c */
#ifdef pager_c
#define PROMPT1  "SPATIE = volgend scherm, %c stoppen met bladeren"
#define PROMPT2 "; nummer van de entry"
#endif

/* power.c */
#ifdef power_c
#define STILLTODOMESS "Organisaties nog te doorzoeken"
#define NOPERSONNAME "U moet een persoonsnaam opgeven\n"
#define NOMATCHINGORGS "Geen organisatie met de naam `%s'\n"
#define INITSEARCHES "Opstarten zoekacties naar %d organisaties ..."
#define SEARCHINITFAIL "Opstarten van de zoekactie naar `%s' is mislukt.\n"
#define WAITING "\nWachten op de resultaten ...\n\n"
#define CANTFINDOP "Kan operatie %d niet vinden op de lijst\n"
#define NOTHINGFOUND "\nEr zijn geen entries gevonden.\n\n"
#define OPTIONS "\nU kunt uit de lijst met gevonden entries kiezen, of een nieuwe vraag starten.\nDe volgende opties zijn beschikbaar:\n\n"
#define NUMBER "nn      Type het nummer van de entry die u wilt bekijken\n"
#define LISTCHAR 'l'
#define LIST "%c       Herhaal de lijst met gevonden entries\n"
#define SUCCESSCHAR 's'
#define SUCCESS "%c       Toon de lijst met doorzochte organisaties\n"
#define FAILCHAR 'f'
#define FAIL1 "%c       Toon de lijst met niet doorzochte organisaties (waarschijnlijk door\n"
#define FAIL2 "        een probleem met een Directory server)\n"
#define ABANCHAR 'a'
#define ABAN "%c       Toon een lijst met niet doorzochte organisaties, ivm afbreken van\n       de vraag.\n"
#define ANOTHER "<CR>    Voer een andere zoekactie uit\n"
#define QUITPOWER "%c       Stop de power search \n\n"
#define OPTSTRING "Uw keuze: "
#define RANGEPROBLEM "Ongeldige keuze\n"
#define OKSEARCH "De volgende organisaties zijn doorzocht\n"
#define CANTSEARCH "De volgende organisaties zijn niet doorzocht\n"
#endif

/* util.c */
#ifdef util_c
#define LIMIT "\nEr is een grens gesteld door de managers van de data, welke er voor zorgt dat\nhet aantal gevonden entries beperkt wordt tot een maximum.\n"
#define GUESS "Probeer de naam van de entry te raden. De Directory kan een entry ook\nvinden als de naam niet exact overeenkomt.\n"
#define BEPRECISE "specificeer de vraag nauwkeuriger.\n"
#define REFER "Raadpleeg het ?matching helpscherm voor meer informatie.\n"
#define NOTALL1 "\nHet was niet mogelijk om alle delen van de Directory te doorzoeken die\nvoor deze vraag nodig zijn. Een deel van de directory is niet beschikbaar.\n"
#define NOTALL2 "Er kunnen dus meer oplossingen zijn dan getoond.\n\n"
#define SHOWORG "\nTonen van de organisatie gegevens.\n\n"
#define SHOWDEPT "\nTonen van de afdelings gegevens.\n\n"
#define FUZZILYMATCHED " (fuzzily matched)"
#endif

/* dehelp.c */
#ifdef dehelp_c

#define NOHELP "Geen hulp beschikbaar over `%s'\n"
#define HELPHELP "\nHELP over HELP door ?? of ?HELP in te typen."
#define SET1 "U kunt enkele door dit programma gebruikte instellingen wijzigen, bv\n"
#define SET2 "het aantal regels op het scherm."
#define CHANGESET "\nWilt u de instellingen wijzigen (j/n) ?"
#define YES "ja"
#define NO "nee"
#define ON "on"
#define OFF "off"
#define ENTERVARNAME "Geef de naam van de te wijzigen variabele:"
#define NOSUCHVAR "Variabele onbekend: `%s'\n"
#define ENTERVARVAL "Geef waarde van variabele:"
#define TTWARNING "\nHet wijzigen van het terminal type veroorzaakt aanpassing van het \naantal tekens per regel, en het aantal regels per scherm. Indien gewenst\nkunt u deze waarden aanpassen.\n"
#define CURRSET "De huidige instellingen zijn:\nVARIABELE    WAARDE OMSCHRIJVING\n  NAAM\n"

/* These are the strings used in the ?settings option.  The number is
   the number of characters that has to be entered to uniquely identify one
   option from others */
#define TTYPE "termtype"
#define TTYPELEN 1
#define INVVIDEO "invvideo"
#define INVVIDEOLEN 1
#define COLS "cols"
#define COLSLEN 1
#define LINES "lines"
#define LINESLEN 1
#endif

/* help screens  - these are defined outside of dehelp.c as some of them 
   have to be referred to in de.c */
#ifdef helpscreens

/* These are the strings used to identify the help screens.  The associated
   numbers are the number of characters required to uniquely identify a
   particular screen.   Note that some of the var names have a 2 appended -
   this is to avoid clashes with other definitions */
#define BYEBYE "byebye"
#define BYEBYELEN 1
#define COMMANDS "commando"
#define COMMANDSLEN 3
#define COUNTRY2 "land"
#define COUNTRY2LEN 2
#define DEPARTMENT "afdeling"
#define DEPARTMENTLEN 1
#define DEPT "afd"
#define DEPTLEN 3
#define EX1 "ex1"
#define EX1LEN 3
#define EX2 "ex2"
#define EX2LEN 3
#define HELP "help"
#define HELPLEN 1
#define INTRO "intro"
#define INTROLEN 1
#define LIST "lijst"
#define LISTLEN 2
#define LOCALITY2 "regio"
#define LOCALITY2LEN 2
#define MATCHING "matching"
#define MATCHINGLEN 2
/* #define MODES "modes" */
/* #define MODESLEN 2 */
/* #define MULTI "multi" */
/* #define MULTILEN 2 */
#define MODES "" 
#define MODESLEN 2 
#define MULTI "" 
#define MULTILEN 2 
#define NAME "naam"
#define NAMELEN 1
#define	ORGANISATION "organisatie"
#define ORGANISATIONLEN 3
#define ORGANIZATION "organizatie" 
#define ORGANIZATIONLEN 3 
#define	ORGINFO "orginfo"
#define ORGINFOLEN 4
#define	PERSON2 "persoon"
#define PERSON2LEN 2
/* #define POWER "power" */
/* #define POWERLEN 2 */
#define POWER ""
#define POWERLEN 2
#define	PROBLEMS "problemen"
#define PROBLEMSLEN 2
#define	SETTINGS "settings"
#define SETTINGSLEN 2
#define	SCREEN "scherm"
#define SCREENLEN 2
#define	SPECIAL "speciaal"
#define SPECIALLEN 2
#define	TERMTYPES "termtypes"
#define TERMTYPESLEN 1
#define	UFN "ufn"
#define UFNLEN 1
#define	WILDCARDS "wildcards"
#define WILDCARDSLEN 1

/* some special versions of files which contain references to control-C
   to quit - proscribed in the PARADISE central DUA */
#define	INTROCC "introcc"
#define NAMECC "namecc"
#define COMMANDSCC "commandscc"
#endif

/* browse.c */
#ifdef browse_c
#define NOBROWSER "Sorry, de browser is niet beschikbaar.\n\n\n"
#define BROWSEWAIT "Even geduld a.u.b. De browser wordt gestart...\n"
#define BROWSERPROBLEM "Sorry, de browser kon niet gestart worden.\n"
#endif

/* deqos.c */
#ifdef deqos_c
#define OPSOMETIME "\nDeze zoekactie heeft wat tijd nodig\n"
#define LASTFEWNOGOOD "\nDe laatste acties zijn mislukt. Ik blijf proberen \n"
#define USUALLYNOGOOD "\nGegevens meestal niet beschikbaar. Ik blijf proberen\n"
#define LASTFEW "\nDe laatste zoakcties duurden korter dan "
#define USUALLYTAKES "\nDeze zoekactie duurt meestal korter dan "
#define SECONDS "seconden"
#define MINUTE "een minuut"
#define LASTFEWTOOKOVER "\nDe laatste zoekacties duurden langer dan "
#define USUALLYTAKESOVER "Deze zoekactie duurt meestal langer dan "
#define THREEMINUTES "3 minuten"
#define PLEASEWAIT ", even geduld a.u.b.\n"
#define CONTROLC "Control-C, als u deze zoekactie wilt afbreken.\n\n"
#endif
