/* messages.h */

/*
 * $Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/messages.h,v 9.3 1993/03/19 22:55:37 isode Exp isode $
 *
 * $Log: messages.h,v $
 * Revision 9.3  1993/03/19  22:55:37  isode
 * Add QOS and DOS-DE code
 *
 * Revision 9.2  1992/12/15  07:05:26  awy
 * Update and fixes
 *
 * Revision 9.1  1992/11/12  20:03:06  awy
 * IC-1 base
 *
 */

/* global relevance */
#define INFOLETTER 'i'
#define SIMPLELETTER 's'
#define MENULETTER 'm'
#define POWERLETTER 'p'
#define BROWSELETTER 'e'
#define YELLOWPAGES 'y'
#define UFNLETTER 'u'
#define HELPLETTER 'a'
#define QUESTIONMARK '?'
#define QUITCHAR 'q'
#define QUITWORD "quitter"
#define SEARCHMESS "Rechercher "
#define LISTMESS "Lister "
#define THESEARCH "\nLa recherche "
#define FORENTRY "de `%s' "
#define HASFAILED "a echoue, probablement parce que le serveur \nd'Annuaire est temporairement hors-fonctionnement.\n\n"
#define YESCHAR 'o'
#define NOCHAR 'n'
#define HELPFILEPREFIX "de/de"

/* de.c */
#ifdef de_c
#define DEFWELCOMEMESS "Bienvenue dans le Service d'Annuaire"
#define NODEFAULTCOANDORG "Doit configurer un pays et une organisation par defaut pour les requettes\nde l'organisation local.\n"
#define MODEMENU "\nSelectionnez le mode desire:\n\n\
S Requettes Simples - si vous connaissez le nom de l'organisation recherchee\n\
 (mode generalement utilise de l'interface)\n\n\
P Recherche Puissante - recherche de plusieurs organisations simultanement\n\n%s\
Y Pages Jaunes - recherche puissante mais permet a l'utilisateur de rechercher une entree\n\
  basee sur un autre critere que le nom de l'entree\n\n\
U Recherche de la forme Nom Familier de l'Utilisateur - e.g,\n\
  p barker, ucl, uk\n\n\
I Instructions succinctes expliquant les modes d'utilisation du programme\n\n\
? Aide - usage et theme\n\n\
Q Quitter le programme\n\n\
Options d'entree: "
#define BROWSELINE "B  Examen - convient le mieux pour explorer l'Annuaire\n\n"
#define VALIDMODES "ipsbouh?q\n"
#define POWERSTRING "p"
#define SIMPLESTRING "s"
#define BROWSESTRING "b"
#define YELLOWSTRING "p"
#define UFNSTRING "u"
#define MENUSTRING "m"
#define SIMPLEMODEON "\nMode de requette Simple selectionne\n"
#define POWERMODEON "\nMode de recherche puissante (organisations multiples) selectionne\n"
#define LOCALONLY "Requette locale seulement"
#define NOPOWEROPTION " - recherche puissante / option pages jaunes non disponible\n\n"
#define NOMENUOPTION " - option menu non disponible\n\n"
#define ENTERORGCO "Vous devez entrer une organisation ou un pays\n\n"
#define ENTERCO "Vous devez entrer un pays\n\n"
#define TEMPPROBLEM "\n Probablement un probleme temporaire avec le Service d'Annuaire.\n\n"
#define NOCOMATCH "Pas de pays equivalent a `%s'\n\n"
#define NOTHINGTO "\nRien a rechercher, pas de nom d'organisation entre.  Entrez\nun nom d'organisation, ou pressez <Retour Chariot> pour relancer\nla requette\n\n"
#define NOORGSFOUND "Pas d'organisations trouvees. Probablement une erreur temporaire du Service d'Annuaire.\n\n"
#define CFOM "Ne peux pas trouver une organisation equivalente a `%s'\n\n"
#define NOORGSMATCH "Pas d'organisation equivalente a `%s'\n\n"
#define CHECKUNDERLOC "Controle pour voir si l'entree peut etre sous une localite\n"
#define NOLOCINFO "Pas d'information de localite disponible\n"
#define ONLYONELOC "Seulement une localite trouvee - `%s'- regardez ici ...\n"
#define ANOTHERLOC "Voulez-vous rechercher une autre localite (o/n)? "
#define NODEPTS "\n      Ne peux trouver aucun departements."
#define NODEPTMATCH "\n      Pas de departement equivalent a `%s'.\n"
#define NOLOCSMATCH "  Pas de localite equivalente a `%s'\n"
#define DISPORGDETAILS "      Affichage des details de l'organisation.\n\n"
#define CONTPERSONSEARCH "      Continue a rechercher la personne appelee `%s'\n      dans toute l'organisation.\n\n"
#define CONTPERSONLIST "      Continue en listant les personnes de toute l'organisation.\n\n"
#define NOPEOPLE "      Pas d'entree pour la personne trouvee.  "
#define NOPEOPLEMATCH "      Pas de personne equivalente a `%s'.  "
#define DOSIGNEDREAD "Voulez-vous faire une lecture signee pour cette entree? "
#define TRYSIGNEDREAD "Essai de lecture signee ..."
#define SIGNEDREADFAILED "La lecture signee a echouee\n"
#define SIGNEDRESOK "Resultat signe recu - tout semble en ordre\n"
#define DISPDEPTDETAILS "Affichage des details du departement.\n\n"
#define FOUNDFOLLOWING "\nEntrees suivantes trouvees.  SVP selectionnez une entree de la liste\nen tapant le nombre correspondant a l'entree desiree.\n\n"
#define MATCHFOLLOWING "\nPossede les equivalences %s suivantes.  SVP selectionnez une entree de la liste\nen tapant le nombre correspondant a l'entree desiree.\n\n"
#define FUZZY "\"floues\" "
#define GOTCONTROL "Entree contient des caracteres de controle - SVP re-tapez\n\n"
#define PPROMPT "Nom de la personne, q pour quitter, "
#define BROWSE "examen"
#define LISTPEOPLE "personnes listees"
#define OUPROMPT "Nom de Departement, "
#define LISTOUS "departements listes"
#define OUBROWSE "%s<Retour Chariot> pour tous les departements de  %s, "
#define LIST "liste"
#define SEARCH "recherche"
#define SEARCHALLOUS "- pour rechercher tous les departements,\n           "
#define SEARCHALLORGS " pour rechercher toutes les organisations,\n           "
#define SEARCHFOR "%s<Retour Chariot> pour rechercher `%s', "
#define PMHELP "%s? pour l'aide\n%s"
#define ORGPROMPT "Nom de l'Organisation, "
#define GENSEARCH "%s<Retour Chariot> pour rechercher `%s', "
#define WRAPPROMPT "%s\n           "
#define LISTORGS "organisations listees"
#define LOCPROMPT "Nom de la Localite, "
#define LISTLOCS "localites listees"
#define COPROMPT "Nom du Pays, "
#define LISTCOS "pays listes"
#define UFNPROMPT "\nNom Familier de l'Utilisateur, m pour le menu, q pour quitter, "
#define UNKNOWNOC "chaine de caracteres entree de type inconnu\n"
#define WANTTOQUIT "Voulez-vous quitter le Service d'Annuaire (o/n)? "
#define INVNUMBER "Nombre entre invalide (maximum = %d)\n\n"
#define LISTNOTCURRENT "Pas de liste d'entree courante.  Entree d'un nombre invalide\n"
#ifdef DOS
#define STILLWAITING "\nPressez ESC, si vous desirez abandonner la recherche.\n\n"
#define OPSOMETIME "\nCette operation prend quelque temps.\nPressez ESC, si vous desirez abandonner l'operation.\n\n"
#else
#define STILLWAITING "\nControl-C, si vous desirez abandonner la recherche.\n\n"
#define OPSOMETIME "\nCette operation prend quelque temps.\nControl-C, si vous desirez abandonner l'operation.\n\n"
#endif DOS
#define STILLTRYING "Nouvel essai ..."
#define SEABAN "\nRecherche abandonnee\n"
#define ACLPROB "\nLa recherche dans cette partie de l'Annuaire est restreinte\npar le gestionnaire des donnees.\n\n"
#define DISPLAYORG "En attendant, affichage des details de l'organisation.\n"
#define FORPEOPLEOUS "Pour des informations sur les personnes ou le departement, essayez un peu plus tard.\n\n"
#define DISPLAYDEPT "En attendant, affichage des details du departement.\n"
#define FORPEOPLE "Pour des informations sur les personnes, essayez un peu plus tard.\n\n"
#ifdef DOS
#define FORCEQUIT "Pressez ESC pour sortir immediatement - sortira automatiquement apres %d secondes\n"
#else
#define FORCEQUIT "Control-C pour sortir immediatement - sortira automatiquement apres %d secondes\n"
#endif DOS
#endif
/* init.c */
#ifdef init_c
#define NONNUMERICPORT "Numero de port non-numerique - `%s'\n"
#define NODSAPTAILOR "Ne peux pas ouvrir le fichier `dsaptailor'. Essaye de continuer.\n"
#define NOTAILORFILE "Pas d'argument pour le fichier de configuration.\n"
#define CANTOPENTFILE "Ne peux pas ouvrir le fichier de configuration `%s'\n"
#define NODETAILOR "Ne peux pas ouvrir le fichier `detailor'. Essaye de continuer.\n"
#define ARGPROBLEM "Probleme d'argument d'analyse.  Ne comprend pas le parametre -%c\n"
#define MEANINGLESS "Ignore les arguments denues de sens `%s' du programme\n"
#define NODEWELCOME "Ne peux pas ouvrir le fichier `%s'. Essaye de continuer.\n"
#define LOGFILEPROBLEM "Ne peux pas ouvrir le fichier trace\n"
#define LOGFAILCONT "Ne peux pas referencer la session - continue ...\n\n"
#endif

/* video.c */
#ifdef video_c
#define LISTTERMCHAR "l"
#define DONTKNOWTERMTYPE "\nNe reconnais pas votre type de terminal (%s).\nSi le type de votre terminal est inconnu du systeme, pressez <Retour Chariot> pour\ninitialiser le type de terminal par defaut (ecran de 24 lignes).\n"
#define ENTERTERMTYPE "Entrez votre type de terminal (ou l ou L pour la liste des types de terminaux possibles): "
#define SCREENSIZE "La taille de votre terminal est initialise a %d lignes.\n"
#define SCREENOK "Si cela semble correct, pressez <Retour Chariot>, sinon rentrez le nombre correct (24 est normal)."
#define SCREENLEN "Longueur de l'ecran en lignes:"
#endif

/* asyndap.c */
#ifdef asyndap_c
#define REMOVEERR "Erreur - Essai de supression d'une operation d'une liste d'operations vide\n"
#define NOOPERR "Erreur - ne trouve pas l'operation %d dans la liste d'operations\n"
#define NOPROTRESULTS "N'ai pas recu de resultats proteges\n"
#define DUANOTIDENTIFIED "Les resultats du DSA n'incluent pas le nom du DUA recepteur attendu\n"
#define WRONGDUA "Le nom du DUA n'est pas le meme que le recepteur attendu par le DSA\n"
#define WRONGDSA "Les resultats ne viennent pas du DSA approprie\n"
#define ABANSEARCHES "\nAbandon des recherches emminent..."
#define ABANORGS "Abandon des recherches pour les organisations suivantes\n"
#endif

/* atts.c */
#ifdef atts_c
#define NODETAILS "%s(Desole - pas de details disponibles)\n"
#endif

/* bind.c */
#ifdef bind_c
#define CANTUSEBACKUP "\nLa connection a echouee pour le DSA specifie - problemes de securite\n\
Connection au DSA de secours non-permis, authentification forte exigee\n"
#define PASSWORDPROMPT "\nEntrez mot-de-passe pour: "
#define NOADDRESS "Pas d'adresse de DSA configuree dans les fichiers de configuration dsaptailor ou detailor\n\n"
#define CONNECTING "Connection a l'Annuaire - attendez un instant SVP ...\n"
#define BADDSANAME "Mauvaise formulation du nom du DSA dans le fichier de configuration\n\n"
#define NEEDOSISEC "Services de Securite OSISEC exiges\n"
#define FAILSTRONGCREDS "Echoue a creer les fortes pieces justificatives\n"
#define INSUFFCERTCREDS "Pieces justificatives de certificats disponibles insuffisantes\n"
#define CERTMATCHPROBLEM "Le Certificat de l'utilisateur ne correspond pas au DUA\n"
#define NOOSISECLIBS "\nLibrairie d'authentification forte non-inclue dans ce binaire\n\n"
#define BADADDRESS "Probleme de format d'adresse du DSA\n"
#define TEMPUNAVAIL "\n\nServeur d'Annuaire temporairement hors service\n\n"
#define TRYANOTHER "Essaye un autre serveur ...\n\n"
#define NOBIND1 "\nErreur de connection - Verifiez le nom de l'utilisateur/mot-de-passe dans le fichier de configuration\n"
#define NOBIND2 "\nErreur de connection - probleme d'authentification - Contactez l'administrateur systeme\n"
#define NOBIND3 "\nErreur de connection - type %d, code %d\n"
#define BINDFAIL "\nNe peux pas me connecter au DSA - probablement quelque chose d'inexacte dans l'adresse du DSA\n\n"
#define NOLDAPSERV "Pas de serveur hote LDAP initialise dans le fichier de configuration detailor\n\n"
#define NOLDAPCONN "\nNe peux pas me connecter au serveur LDAP tournant sur l'hote `%s'\n"
#define LDREASON "Raisons"
#define NONAME "Ne peux pas me connecter avec une authentification simple si le nom de l'utilisateur n'est pas fourni\n"
#define NOAUTHBIND "Connection sans authentification ...\n"
#define PASSPROB "Connection a echoue ... probleme de mot-de-passe?\n"
#define THREETRIES "Seulement trois tentatives d'entree de mot-de-passe permis\n"
#define STRONGBINDOK "L'utilisateur s'est connecte avec une authentification forte a l'annuaire\n"
#endif

/* cname.c */
#ifdef cname_c
#define NAMEMAPPROB "Probleme d'analyse du nom de pays\n"
#define NOT2CHARS "Probleme - le nom court de la table des pays ne fait pas 2 caract.\n"
#endif

/* country.c */
#ifdef country_c
#define NOCOSMATCH "Pas de chaine de caract. correspondant au pays entre\n"
#endif

/* loc.c */
#ifdef loc_c
#define NOLOCSFOUND "  Pas de localite trouvee\n"
#define NOLOCSMATCH "  Pas de localite equivalente a la chaine `%s'\n"
#endif

/* org.c */
#ifdef org_c
#define NOORGSFOUND "  Pas d'organisation trouvee\n"
#define NOORGSMATCH "  Pas d'organisation equivalente a la chaine `%s'\n"
#endif

/* ou.c */
#ifdef ou_c
#define NOOUSFOUND "    Pas d'unite d'organisation trouvee\n"
#define NOOUSMATCH "    Pas d'unite d'organisation equivalente a la chaine `%s'\n"
#endif

/* people.c */
#ifdef people_c
#define NOPEOPLEFOUND "      Pas de personne, bureau ou fonction trouve\n"
#define NOPEOPLEMATCH "      Pas de personne, bureau ou fonction equivalent a la chaine entree\n"
#endif

/* deufn.c */
#ifdef deufn_c

#define UFNTOOSHORT "Le nom entre contient seulement %d virgule-separante(s).\n\
Vous devez entrer au moins 3 parties de nom pour trouver l'entree de personnes.\n\
Le format suggere est: nom de personne, nom de l'organisation, nom de pays\n"
#define AVOIDDOMAINS "Il serait preferable de ne pas utiliser de nom de domaine ou d'userid comme cle de recherche.\n"
#define MOREUFNDETAILS "Voulez-vous re-entrer les details de recherche (o/n)? "
#define NOUFN "Desole, mais la recherche UFN n'est pas disponible pour le moment - \
fichier ufnrc absent ou\n\
in-analysable.  En attendant essayez de trouver l'entree desiree en\n\
repondant a la serie de questions.\n\n"
#define NOUFNMATCH "\nPas d'entree equivalente trouvee\n"
#define CANTREAD "Ne peux pas lire l'entree pour `%s'\n"
#define INVNUMBER "Nombre entre invalide (maximum = %d)\n\n"
#define ENTNUMBER "Entrez un nombre, ou pressez RETURN si aucune de ces entrees est celle demandee\n: "
#endif

/* mapatt.c */
#ifdef mapatt_c
#define PROBATTNAMEMAP "Probleme de nom d'attribut...\n"
#endif

/* mapphone.c */
#ifdef mapphone_c
#define PROBMAPPINGPHONE "Probleme de numero de telephone...\n"
#endif

/* pager.c */
#ifdef pager_c
#define PROMPT1  "SPACE pour l'ecran suivant, %c pour quitter"
#define PROMPT2 "; ou le nombre corresp. a l'entree"
#endif

/* power.c */
#ifdef power_c
#define STILLTODOMESS "Organisation toujours recherchee"
#define NOPERSONNAME "Vous devez entrer un nom de personne\n"
#define NOMATCHINGORGS "Pas d'organisation equivalente a `%s'\n"
#define MAXPARALLEL "La portee de cette recherche puissante est %d organisations.\n\
Cependant, une limite est imposee et donc seulement %d organisations peuvent etre recherchees\n\
simultanement.  Vous avez trois options au choix pour continuer la recherche:\n\n"
#define LIMITEDOPTS "1    Vous sera offert une liste d'au plus %d organisations en meme temps.\n\
     Vous sera demande si vous desirez rechercher cet ensemble d'organisations.\n\
     Ayant recherche / non recherche cet ensemble d'organisations, vous sera alors\n\
     demande si vous voulez faire la recherche sur le reste des organisations.\n\
\n\
2    Vous sera montrer la liste entiere des organisations et vous pourrez alors\n\
     selectionner au plus %d organisations de la liste a rechercher.\n\
     Vous pouvez faire des selections repetees de la liste.\n\
\n\
3    Vous pouvez restreindre la portee de la recherche en specifiant le nom\n\
     de l'organisation plus precisement: par exemple, London, ou University.\n\
\n\
<Retour Chariot> pour arreter la recherche.\nEntrez l'option: "
#define SEARCHTHESEORGS "Rechercher cet ensemble d'organisations (o/n)? "
#define BYNUMBERS "Vous pouvez selectionner au plus %d organisations a rechercher simultanement\n\
Entrez les nombres correspondant aux organisations que vous desirez rechercher\n\
dans une liste separes par des espaces: ex.: 1 5 23 46\n"
#define INITSEARCHES "Initialisation de la recherche pour %d organisations..."
#define SEARCHINITFAIL "L'initialisation a echouee pour la recherche de %s\n"
#define WAITING "\nAttente des resultats (control-C pour abandonner la recherche en suspens)...\n\n"
#define CANTFINDOP "Ne peux pas trouver l'op %d dans la liste\n"
#define NOTHINGFOUND "\nAucune entrees ne furent trouvees.\n\n"
#define OPTIONS "\nVous pouvez selectionner une entree de la liste trouvee, ou recommencer une autre requette.\nLes options suivantes sont disponibles:\n\n"
#define NUMBER "nn      Tapez le nombre correspondant a l'entree voulue\n"
#define LISTCHAR 'l'
#define LIST "%c       Pour lister les resultats a nouveau\n"
#define SUCCESSCHAR 's'
#define SUCCESS "%c       Pour lister les organisations qui furent recherchees\n"
#define FAILCHAR 'f'
#define FAIL1 "%c       Pour lister les organisations qui ne peuvent pas etre recherchees (probablement parce\n"
#define FAIL2 "        qu'il y a un probleme de serveur)\n"
#define ABANCHAR 'a'
#define ABAN "%c       Pour lister les organisations non-recherchees parce que la recherche fut interrompue par l'utilisateur\n"
#define NEXTSTR "%c       Pour rechercher le prochain ensemble d'au plus %d organisations\n"
#define MORECHAR 'm'
#define MORESTR "%c       Pour rechercher au plus %d des organisations selectionnees\n"
#define ANOTHER "<Retour Chariot>    Pour effectuer une autre recherche multiple d'organisations\n"
#define QUITPOWER "%c       Pour quitter la recherche puissante\n"
#define ANOTHERYP "<Retour Chariot>    Pour effectuer une autre recherche de pages jaunes\n"
#define QUITYP "%c       Pour quitter la recherche des pages jaunes\n"
#define SHOWPOWEROPTS "%c       Pour voir cette liste d'options\n\n"
#define OPTSTRING "Entrez l'option: "
#define RANGEPROBLEM "Nombre entre hors ensemble\n"
#define OKSEARCH "Recherche des organisations suivantes\n"
#define CANTSEARCH "Incapable de rechercher les organisations suivantes\n"
#endif

/* util.c */
#ifdef util_c
#define MAINTAINCONN "\nPressez <Retour Chariot> dans les 10 secondes pour maintenir la connection\n"
#define LIMIT "\nUne limite a ete imposee par les gestionnaires des donnees qui empeche de\nlister les entrees de l'Annuaire au-dela de ce point.  Essayez de\n"
#define GUESS "deviner le nom de l'entree voulue.  L'Annuaire ne peut trouver l'entree\nsi vous ne donnez pas le nom exact.\n"
#define BEPRECISE "precisez votre requette.\n"
#define REFER "SVP referez-vous a l'ecran d'aide ? pour plus de detais.\n"
#define NOTALL1 "\nIl n'etait pas possible de parcourir toutes les parties de l'Annuaire necessaires\npour completer cette recherche - certaines parties de la base de donnees sont pour le moment inaccessibles.\n"
#define NOTALL2 "Il y a peut-etre plus de resultats que ceux affiches.\n\n"
#define SHOWORG "\nAffichage des details de l'organisation.\n\n"
#define SHOWDEPT "\nAffichage des details du departement.\n\n"
#define FUZZILYMATCHED " (equivalence floue)"
#endif

/* dehelp.c */
#ifdef dehelp_c

#define VERSSTR "Version de DE: %s\n"
#define DOSHELPFILE "de.hlp"
#define NOHELP "Pas d'aide disponible pour `%s'\n"
#define HELPHELP "\nAide de l'Aide disponible en tapant ?? ou ?AIDE\n\n"
#define SET1 "Il est possible de modifier quelques valeurs utilisees par le programme, par exemple le\n"
#define SET2 "nombre de lignes de l'ecran de l'utilisateur.  "
#define CHANGESET "\nVoulez-vous changer des valeurs (o/n) ?"
#define YES "oui"
#define NO "non"
#define ON "on"
#define OFF "off"
#define ENTERVARNAME "Entrez le nom de la variable que vous desirez modifier:"
#define NOSUCHVAR "Pas de variable <%s>\n"
#define ENTERVARVAL "Entrez la valeur pour la variable:"
#define TTWARNING "\nNotez que re-initialiser le type du terminal peut modifer la largeur et la longueur de\nl'ecran aux valeurs par defaut correspondant a ce type.  Re-ajustez ces\nvariables si vous le desirez\n"
#define CURRSET "Variables courantes:\n\nVARIABLE     VALEUR           DESCRIPTION\n  NOM\n"

/* Chaines utilisees par l'option ?initialisation.  Le nombre correspond
   au nombre de caracteres qui doivent etre rentres pour identifier de
   facon unique une option des autres */
#define TTYPE "typeterm"
#define TTYPELEN 1
#define INVVIDEO "invvideo"
#define INVVIDEOLEN 1
#define COLS "cols"
#define COLSLEN 1
#define LINES "lignes"
#define LINESLEN 1
#endif

/* ecrans d'aide - ils sont definis a l'exterieur de dehelp.c comme 
   quelques-uns sont references dans de.c */
#ifdef helpscreens

/* Chaines utilisees pour identifier les ecrans d'aide.  Le nombre
   associe est le nombre de caracteres exiges pour identifier de facon
   unique un ecran particulier.  Notez que quelques nom de var ont 2
   parties -  Ceci pour eviter l'opposition avec d'autres definitions */
#define BYEBYE "aurevoir"
#define BYEBYELEN 1
#define COMMANDS "commandes"
#define COMMANDSLEN 3
#define COUNTRY2 "pays"
#define COUNTRY2LEN 3
#define DEPARTMENT "departement"
#define DEPARTMENTLEN 1
#define DEPT "dept"
#define DEPTLEN 4
#define EX1 "ex1"
#define EX1LEN 3
#define EX2 "ex2"
#define EX2LEN 3
#define HELP "aide"
#define HELPLEN 1
#define INTRO "intro"
#define INTROLEN 1
#define LISTING "list"
#define LISTLEN 2
#define LOCALITY2 "localite"
#define LOCALITY2LEN 2
#define MATCHING "equivalence"
#define MATCHINGLEN 2
#define MODES "modes"
#define MODESLEN 2
#define MULTI "multi"
#define MULTILEN 2
#define NAME "nom"
#define NAMELEN 1
#define	ORGANISATION "organisation"
#define ORGANISATIONLEN 3
#define	ORGANIZATION "organization"
#define ORGANIZATIONLEN 3
#define	ORGINFO "infoorg"
#define ORGINFOLEN 4
#define	PERSON2 "personne"
#define PERSON2LEN 2
#define	POWER "puissante"
#define POWERLEN 2
#define	PROBLEMS "problemes"
#define PROBLEMSLEN 2
#define	SETTINGS "initialisations"
#define SETTINGSLEN 2
#define	SCREEN "ecran"
#define SCREENLEN 2
#define	SPECIAL "special"
#define SPECIALLEN 2
#define	TERMTYPES "typeterms"
#define TERMTYPESLEN 1
#define	UFN "ufn"
#define UFNLEN 1
#define VERSION "version"
#define VERSIONLEN 1
#define	WILDCARDS "jokers"
#define WILDCARDSLEN 1
#define YELLOWHELP "pj"
#define YELLOWHELPLEN 1

/* quelques speciales versions de fichiers contiennent des references 
   au control-C pour quitter - proscrites pour le DUA central PARADISE */
#define	INTROCC "introcc"
#define NAMECC "nomcc"
#define COMMANDSCC "commandescc"
#endif

/* browse.c */
#ifdef browse_c
#define NOBROWSER "Desole, mais l'examinateur n'est pas disponible\n\n\n"
#define BROWSEWAIT "SVP attendez un moment examinateur lance ...\n"
#define BROWSERPROBLEM "Ne peux lancer l'examinateur\n"
#endif

/* qos.c */
#ifdef qos_c
#define OPSOMETIME "\nCette operation prend quelques temps"
#define LAST "\nLa derniere attente ont pris environ "
#define LASTFEW "\nLes quelques dernieres attentes ont pris environ "
#define USUALLYTAKES "\nCette recherche a recemment pris environ "
#define SECONDS " secondes"
#define PLEASEWAIT ", attendez SVP"
#define CONTROLC "\nControl-C, si vous desirez abandonner l'operation.\n\n"
#define LASTATTEMPT "\nDerniere attente "
#define FAILED "a echoue - cette partie de l'annuaire souffre d'un\nprobleme de re-abilitation."
#define WASABANDONED "a ete abandonnee.  Cela peut etre due a une recherche\ntrop longue."
#define THEREHAVE "\nIl y a eu"
#define FAILURESABANDONS " des erreurs/abandons depuis "
#define WHENLAST "\nQuand cette partie de l'annuaire fut accessible, les recherches\nprenaient environ "
#define NOTIMEYET "\nPas encore de temps moyen d'acces enregistre."
#define OVERTIME "\nSemble prendre plus de temps que la normale !!"
#define PLEASEWAITUNTIL "\nSVP soyez pres a attendre ce temps pour les resultats."
#endif

/* yp.c */
#ifdef yp_c
#define YPSELECTED "\nMode Pages Jaunes selectionne\n\n\
Selectionnez une des categories suivantes:\n"
#define ENTERATTTYPE "Type de categorie: <Retour Chariot> pour retourner au menu, \
? pour l'aide\n:-"
#define ATTNORANGEPROB "Nombre de categorie hors ensemble\n"
#define NOSUCHATTT "Pas de categorie semblable\n"
#define ENTERATTVAL "Valeur de la categorie - <Retour Chariot> pour demander une autre categorie\n:-"
#define MATCHTYPES "\nSelectionnez un des types equivalents suivants:\n\
 1: Exact\n 2: Sous-chaine\n 3: Approximation\n"
#define ENTERMATCHTYPE "Type d'equivalence\n:-"
#define SEARCHSCOPE "\nSelectionnez la portee de la recherche des pages jaunes:\n\n"
#endif
