/* messages.h */

/*
 * $Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/messages.h,v 9.3 1993/03/19 22:55:37 isode Exp isode $
 *
 * $Log: messages.h,v $
 * Revision 9.3  1993/03/19  22:55:37  isode
 * Add QOS and DOS-DE code
 *
 * Revision 9.2  1992/12/15  07:05:26  awy
 * Update and fixes
 *
 * Revision 9.1  1992/11/12  20:03:06  awy
 * IC-1 base
 *
 */

/* Translated by DIR-ITA Staff
 * Giovanni Armanino (Consorzio Pisa Ricerche, Italy)
 * Maurizio Martinelli (Consorzio Pisa Ricerche, Italy)
 */

/* global relevance */
#define INFOLETTER 'i'
#define SIMPLELETTER 'd'
#define MENULETTER 'm'
#define POWERLETTER 'g'
#define BROWSELETTER 'e'
#define YELLOWPAGES 'p'
#define UFNLETTER 'f'
#define HELPLETTER 'a'
#define QUESTIONMARK '?'
#define QUITCHAR 'u'
#define QUITWORD "u"
#define SEARCHMESS "Sto cercando "
#define LISTMESS "Sto elencando "
#define THESEARCH "\nLa ricerca "
#define FORENTRY "per `%s' "
#define HASFAILED "e' fallita, probabilmente perche' un \nDirectory server non e' momentaneamente raggiungibile.\n\n"
#define YESCHAR 's'
#define NOCHAR 'n'

/* de.c */
#ifdef de_c
#define DEFWELCOMEMESS "Benvenuti nel Servizio di Directory"
#define NODEFAULTCOANDORG "Devi configurare una nazione e una organizzazione di `default' per\ninterrogare solo l'organizzazione locale"
#define MODEMENU "\nSeleziona il modo che preferisci:\n\n\
D  Ricerca Diretta - se conosci il nome dell'organizzazione in cui vuoi cercare\n                     (modalita' normale in cui e' usata questa interfaccia)\n\n\
G  Ricerca Globale - per effettuare ricerche su molteplici organizzazioni\n\n%s\
P  Pagine Gialle - ricerca globale che permette all'utente di cercare una\n\
                   entry secondo criteri diversi dal nome della entry\n\n\
F  Per inserire le chiavi di ricerca secondo lo stile User-Friendly Name -\n\
   ad esempio: p barker, ucl, uk\n\n\ 
I  Brevi istruzioni sulle diverse modalita' d'uso del programma\n\n\
?  Il servizio di aiuto in linea - come si usa e argomenti\n\n\
U  Per uscire dal programma\n\n\
Scegli un'opzione: "
#define BROWSELINE "E  Esplorazione - il piu' adatto per \"scuriosare\" nel Directory\n\n"
#define VALIDMODES "igdepfa?u\n"
#define POWERSTRING "g"
#define SIMPLESTRING "d"
#define BROWSESTRING "e"
#define YELLOWSTRING "p"
#define UFNSTRING "f"
#define MENUSTRING "m"
#define SIMPLEMODEON "\nSelezionata la modalita' di ricerca Diretta\n"
#define POWERMODEON "\nSelezionata la modalita' di ricerca Globale (su molteplici organizzazioni)\n"
#define LOCALONLY "Solo interrogazioni locali"
#define NOPOWEROPTION " - opzione per la ricerca globale / pagine gialle non disponibile\n\n"
#define NOMENUOPTION " - opzione per il menu' non disponibile\n\n"
#define ENTERORGCO "Devi inserire il nome di una organizzazione e di una nazione\n\n"
#define ENTERCO "Devi inserire una nazione\n\n"
#define TEMPPROBLEM "\n Probabile problema temporaneo con il Servizio di Directory.\n\n"
#define NOCOMATCH "Non esistono nazioni corrispondenti a `%s'\n\n"
#define NOTHINGTO "\nNessuna ricerca da eseguire perche' non e' stato inserito\nalcun nome di organizzazione. Inserisci un nome di organizzazione alla\nrichiesta, o digita <CR> per far ripartire nuovamente l'interrogazione\n\n"
#define NOORGSFOUND "Non e' stata trovata alcuna organizzazione.\nProbabile errore temporaneo del Servizio di Directory.\n\n"
#define CFOM "Non e' possibile trovare un'organizzazione corrispondente a `%s'\n\n"
#define NOORGSMATCH "Non esistono organizzazioni corrispondenti a `%s'\n\n"
#define CHECKUNDERLOC "Sto controllando se la entry fosse sotto una localita'\n"
#define NOLOCINFO "Non sono disponibili informazioni sulle localita'\n"
#define ONLYONELOC "E' stata trovata solo una localita' - `%s'- \nsto dando un'occhiata la' ...\n"
#define ANOTHERLOC "Vuoi estendere la ricerca ad un'altra localita' (s/n)? "
#define NODEPTS "\n      Non trovo alcun dipartimento."
#define NODEPTMATCH "\n      Non esistono dipartimenti corrispondenti a `%s'.\n"
#define NOLOCSMATCH "  Non esistono localita' corrispondenti a `%s'\n"
#define DISPORGDETAILS "      Mostro le informazioni relative all'organizzazione.\n\n"
#define CONTPERSONSEARCH "      Continuo a cercare una persona chiamata `%s'\n      all'interno dell'intera organizzazione.\n\n"
#define CONTPERSONLIST "      Continuo elencando le persone dell'intera organizzazione.\n\n"
#define NOPEOPLE "      Non e' stata trovata alcuna entry di persona.\n"
#define NOPEOPLEMATCH "      Non esistono persone corrispondenti a `%s'.\n"
#define DOSIGNEDREAD "Desideri effettuare una lettura protetta per questa entry? "
#define TRYSIGNEDREAD "Sto tentando una lettura protetta... "
#define SIGNEDREADFAILED "Lettura protetta fallita\n"
#define SIGNEDRESOK "Ricevuti i risultati protetti - l'operazione sembra andata a buion fine\n"
#define DISPDEPTDETAILS "Mostro le informazioni relative al dipartimento.\n\n"
#define FOUNDFOLLOWING "\nSono state trovate le seguenti entry. Per restringere la ricerca ad una\nentry della lista, selezionala digitando il numero ad essa corrispondente.\n\n"
#define MATCHFOLLOWING "\nOttenuti i seguenti risultati%s. Per restringere la ricerca ad una\nentry della lista, selezionala digitando il numero ad essa corrispondente.\n\n"
#define FUZZY " per \"somiglianza\""
#define GOTCONTROL "La stringa inserita contiene caratteri di controllo - ri-inserire stringa, prego\n\n"
#define PPROMPT "Nome di persona, u per uscire, "
#define BROWSE "esplorare"
#define LISTPEOPLE "elencare le persone"
#define OUPROMPT "Nome di dipartimento, "
#define LISTOUS "elencare dpt"
#define OUBROWSE "%s<CR> per %s tutti i dpt, "
#define LIST "elencare"
#define SEARCH "cercare in"
#define SEARCHALLOUS "- per cercare in tutti i dpt,\n"
#define SEARCHALLORGS " per cercare in tutte le org,\n"
#define SEARCHFOR "%s<CR> per cercare `%s', "
#define PMHELP "%s? per aiuto\n%s"
#define ORGPROMPT "Nome di organizzazione, "
#define GENSEARCH "%s<CR> per cercare `%s', "
#define WRAPPROMPT "%s\n"
#define LISTORGS "elencare org"
#define LOCPROMPT "Nome di localita', "
#define LISTLOCS "elencare localita'"
#define COPROMPT "Nome di nazione, "
#define LISTCOS "elencare nazioni"
#define UFNPROMPT "\nNome nel formato User-friendly, m per menu', u per uscire, "
#define UNKNOWNOC "Tipo sconosciuto per la variabile `enterString'\n"
#define WANTTOQUIT "Vuoi uscire dal Servizio di Directory (s/n) ? "
#define INVNUMBER "Numero inserito non valido (massimo = %d)\n\n"
#define LISTNOTCURRENT "Non esiste un elenco corrente di entry. Non e' permesso inserire un numero\n"
#ifdef DOS
#define STILLWAITING "\nDigita ESC, se desideri abbandonare l'operazione in corso.\n\n"
#define OPSOMETIME "\nQuesta operazione puo' richiedere molto tempo.\nDigita ESC, se desideri abbandonare l'operazione in corso.\n\n"
#else
#define STILLWAITING "\nControl-C, se desideri abbandonare l'operazione in corso.\n\n"
#define OPSOMETIME "\nQuesta operazione puo' richiedere molto tempo.\nControl-C, se desideri abbandonare l'operazione in corso.\n\n"
#endif DOS
#define STILLTRYING "Sto ancora tentando ..."
#define SEABAN "\nRicerca abbandonata\n"
#define ACLPROB "\nLe ricerche su questa parte del Directory sono state ristrette dai gestori\ndei dati.\n\n"
#define DISPLAYORG "Intanto, mostro le informazioni relative all'organizzazione.\n"
#define FORPEOPLEOUS "Per le informazioni su persone o dipartimenti, riprova piu' tardi.\n\n"
#define DISPLAYDEPT "Intanto, mostro le informazioni relative al dipartimento.\n"
#define FORPEOPLE "Per le informazioni sulle persone, riprova piu' tardi.\n\n"
#ifdef DOS
#define FORCEQUIT "Digita ESC per uscire immediatamente - uscirai automaticamente tra %d secondi\n"
#else
#define FORCEQUIT "Control-C per uscire immediatamente - uscirai automaticamente tra %d secondi\n"
#endif DOS
#endif

/* init.c */
#ifdef init_c
#define NONNUMERICPORT "Numero porta non-numerico - `%s'\n"
#define NODSAPTAILOR "Non posso accedere al file `dsaptailor'. Provo a continuare.\n"
#define NOTAILORFILE "Argomento file di configurazione non presente.\n"
#define CANTOPENTFILE "Non e' possibile accedere al file di configurazione `%s'\n"
#define NODETAILOR "Non posso accedere al file `detailor'. Provo a continuare.\n"
#define ARGPROBLEM "Problema analizzando gli argomenti.  Non conosco il flag -%c\n"
#define MEANINGLESS "L'argomento `%s' del programma e' senza senso. Lo ignoro.\n"
#define NODEWELCOME "Non posso accedere al file `%s'. Provo a continuare.\n"
#define LOGFILEPROBLEM "Non posso accedere al file di log\n"
#define LOGFAILCONT "Non e' possibile registrare la sessione - continuo ...\n\n"
#endif

/* video.c */
#ifdef video_c
#define LISTTERMCHAR "l"
#define DONTKNOWTERMTYPE "\nNon riconosco il tuo tipo di terminale (%s).\nSe il tuo tipo di terminale e' sconosciuto al sistema, digita <CR> per\ninserire il tipo di terminale e per `default' sara' supposto un terminale a 24 righe.\n"
#define ENTERTERMTYPE "inserisci il tuo tipo di terminale (l o L per avere la lista dei possibili tipi di terminali): "
#define SCREENSIZE "Il tuo terminale e' regolato a %d righe.\n"
#define SCREENOK "Se va bene, digita <CR>, altrimenti inserisci il valore giusto (normale e' 24)."
#define SCREENLEN "Lunghezza dello schermo in righe:"
#endif

/* asyndap.c */
#ifdef asyndap_c
#define REMOVEERR "Errore - tentativo di rimozione di un'operazione da una lista vuota\n"
#define NOOPERR "Errore - non e' possibile trovare l'operazione %d nella lista delle operazioni in corso\n"
#define NOPROTRESULTS "Risultati protetti non ottenuti\n"
#define DUANOTIDENTIFIED "I risultati del DSA non includono il nome del DUA destinatario designato\n"
#define WRONGDUA "Il nome del DUA non e' lo stesso del destinatario designato del DSA\n"
#define WRONGDSA "I risultati non provengono dal DSA appropriato\n"
#define ABANSEARCHES "Abbandono le ricerche rimanenti ...\n"
#define ABANORGS "Abbandono le ricerche sulle seguenti organizzazioni\n" 
#endif

/* atts.c */
#ifdef atts_c
#define NODETAILS "%s(Spiacente - nessuna informazione disponibile)\n"
#endif

/* bind.c */
#ifdef bind_c
#define CANTUSEBACKUP "\nConnessione al DSA specificato fallita - problemi di sicurezza\n\
Connessione col backup-DSA non permessa poiche' e' richiesta l'autenticazione forte"
#define PASSWORDPROMPT "\nInserire la password per: "
#define NOADDRESS "L'indirizzo del DSA non e' configurato nei file dsaptailor o detailor\n\n"
#define CONNECTING "Avviata la connessione col Directory - attendere un momento, prego...\n"
#define BADDSANAME "Il nome del DSA nel file di configurazione e' mal composto\n\n"
#define NEEDOSISEC "Il Servizio di Sicurezza richiede OSISEC\n"
#define FAILSTRONGCREDS "Fallimento nella creazione delle credenziali per autenticazione forte\n"
#define INSUFFCERTCREDS "Credenziali di certificazione disponibili insuffucienti\n"
#define CERTMATCHPROBLEM "Nel Certificato Utente non corrisponde il nome del DUA\n"
#define NOOSISECLIBS "\nLe librerie dell'autenticazione forte non sono `linkate' in questo codice\n\n"
#define BADADDRESS "Problema di formato dell'indirizzo del DSA\n"
#define TEMPUNAVAIL "\n\nDirectory server temporaneamente non disponibile\n\n"
#define TRYANOTHER "Sto tentando con un altro server ...\n\n"
#define NOBIND1 "\nErrore durante la connessione - controlla le variabili username/password\nnei file di configurazione\n"
#define NOBIND2 "\nErrore durante la connessione - problema di autenticazione\n\
 - contatta l'amministratore del sistema\n"
#define NOBIND3 "\nErrore durante la connessione - tipo %d, codice %d\n"
#define BINDFAIL "\nConnessione col DSA fallita - probabile errore temporaneo nell'indirizzo del DSA\nProva ancora ...\n\n"
#define NOLDAPSERV "Nessun server LDAP e' stato configurato nel file detailor\n\n"
#define NOLDAPCONN "\nConnessione al server LDAP su host `%s' impossibile\n"
#define LDREASON "Motivo"
#define NONAME "Non posso connettermi via autenticazione semplice se non viene fornito alcun\nnome utente\n"
#define NOAUTHBIND "Connessione senza autenticazione ...\n"
#define PASSPROB "Connessione fallita ... problema di password?\n"
#define THREETRIES "Sono permessi solo tre tentativi per inserire la password\n"
#define STRONGBINDOK "Utente connesso al directory via autenticazione forte\n"
#endif

/* cname.c */
#ifdef cname_c
#define NAMEMAPPROB "Problema nell'analisi del nome della nazione\n"
#define NOT2CHARS "Problema - il codice del nome della nazione non e' di 2 caratteri nella\ntabella delle corrispondenze\n"
#endif

/* country.c */
#ifdef country_c
#define NOCOSMATCH "Non esistono nazioni corrispondenti alla stringa inserita\n"
#endif

/* loc.c */
#ifdef loc_c
#define NOLOCSFOUND "  Non e' stata trovata alcuna localita'\n"
#define NOLOCSMATCH "  Non esistono localita' corrispondenti a `%s'\n"
#endif

/* org.c */
#ifdef org_c
#define NOORGSFOUND "  Non e' stata trovata alcuna organizzazione\n"
#define NOORGSMATCH "  Non esistono organizzazioni corrispondenti a `%s'\n"
#endif

/* ou.c */
#ifdef ou_c
#define NOOUSFOUND "    Non e' stata trovata alcuna sotto-organizzazione\n"
#define NOOUSMATCH "    Non esistono sotto-organizzazioni corrispondenti a `%s'\n"
#endif

/* people.c */
#ifdef people_c
#define NOPEOPLEFOUND "      Non e' stata trovata alcuna persona, stanza o ruolo\n"
#define NOPEOPLEMATCH "      Non esistono persone, stanze o ruoli corrispondenti alla stringa inserita\n"
#endif

/* deufn.c */
#ifdef deufn_c
#define UFNTOOSHORT "Il nome inserito contiene solo %d componenti separate da virgole.\n\
Devono essere inserite almeno tre aprti del nome per trovare una persona.\n\
Il formato suggerito e': nome di persona, nome organizzazione, nazione\n"
#define AVOIDDOMAINS "Sarebbe meglio evitare l'uso dei domini e `userid' come chiavi di ricerca.\n"
#define MOREUFNDETAILS "Desideri re-inserire le chiavi di ricerca (s/n)? "
#define NOUFN "Spiacente, ma la ricerca UFN non e' disponobile al momento \n\
- file ufnrc mancante o non analizzabile - Intanto prova\n\
a cercare la entry che desideri rispondendo ad una serie di richieste.\n\n"
#define NOUFNMATCH "\nNon e' stata trovata alcuna entry corrispondente\n"
#define CANTREAD "Non e' possibile leggere la entry di `%s'\n"
#define INVNUMBER "Numero inserito non valido (massimo = %d)\n\n"
#define ENTNUMBER "Inserisci un numero, o digita <CR> se non e' presente la entry desiderata\n: "
#endif

/* mapatt.c */
#ifdef mapatt_c
#define PROBATTNAMEMAP "Problema con i nomi associati ai tipi di attributo...\n"
#endif

/* mapphone.c */
#ifdef mapphone_c
#define PROBMAPPINGPHONE "Problema mappando i numeri di telefono...\n"
#endif

/* pager.c */
#ifdef pager_c
#define PROMPT1  "SPAZIO per continuare, %c per uscire dal paginatore"
#define PROMPT2 "; o il numero di una entry"
#endif

/* power.c */
#ifdef power_c
#define STILLTODOMESS "Organizzazioni ancora da esplorare"
#define NOPERSONNAME "Devi inserire il nome di una persona\n"
#define NOMATCHINGORGS "Non esistono organizzazioni corrispondenti a `%s'\n"
#define MAXPARALLEL "La portata di questa ricerca globale coinvolge %d organizzazioni.\n\
E' stato comunque imposto un limite in modo da poter cercare simultaneamente\n\
soltanto %d organizzazioni. Hai a disposizione tre opzioni per continuare\n\
la ricerca:\n\n"
#define LIMITEDOPTS "1    Ti verra' presentata una lista contenente fino a %d\n\
organizzazioni alla volta.\n\
     Ti verra' chiesto se vuoi cercare in quell'insieme di organizzazioni.\n\
     Dopo aver cercato/non cercato in quell'insieme di organizzazioni, ti\n\
     verra' chiesto se vuoi cercare nel gruppo di organizzazioni successivo.\n\
\n\
2    Ti verra' mostrata la lista completa delle organizzazioni, dopodiche'\n\
     potrai selezionare fino a %d organizzazioni su cui effettuare la ricerca.\n\
3    Puoi restringere la portata della ricerca specificando piu' precisamente\n\
     il nome dell'organizzazione: per esempio, Londra, oppure Universita'.\n\
\n\
<CR> per interrompere questa ricerca.\nInserisci un'opzione: "
#define SEARCHTHESEORGS "Vuoi cercare in questo insieme di organizzazioni (s/n)? "
#define BYNUMBERS "Puoi selezionare fino a %d organizzazioni da cercare simultaneamente\n\
Inserisci i numeri relativi alle organizzazioni su cui desideri cercare\n\
come una lista di numeri separati da spazi: es. 1 5 23 46\n"
#define INITSEARCHES "Iniziata la ricerca su %d organizzazioni..."
#define SEARCHINITFAIL "Fallito l'avvio della ricerca su %s\n"
#define WAITING "\nAttendo i risultati (Control-C per abbandonare le ricerche in sospeso)...\n\n"
#define CANTFINDOP "Non trovo l'operazione %d sulla lista\n"
#define NOTHINGFOUND "\nNon e' stata trovata alcuna entry.\n\n"
#define OPTIONS "\nPuoi selezionare una entry dalla lista di quelle trovate, o iniziare\nun'altra interrogazione.\nSono disponibili le seguenti opzioni:\n\n"
#define NUMBER "nn      Digita il numero corrispondente alla entry desiderata\n"
#define LISTCHAR 'l'
#define LIST "%c       Per visualizzare di nuovo la lista dei risultati\n"
#define SUCCESSCHAR 'e'
#define SUCCESS "%c       Per ottenere la lista delle organizzazioni esaminate\n"
#define FAILCHAR 't'
#define FAIL1 "%c       Per ottenere la lista delle organizzazioni su cui la ricerca\n        e' stata tralasciata\n"
#define FAIL2 "        (probabilmente a causa della caduta di un server)\n"
#define ABANCHAR 'a'
#define ABAN "%c       Per ottenere la lista delle organizzazioni su cui la ricerca e' stata\n        abbandonata dall'utente\n"
#define NEXTSTR "%c       Per cercare sul prossimo insieme che contiene fino a %d organizzazioni\n"
#define MORECHAR 'm'
#define MORESTR "%c       Per cercare fino a %d organizzazioni selezionate in piu'\n"
#define ANOTHER "<CR>    Per effettuare un'altra ricerca su molteplici organizzazioni\n"
#define QUITPOWER "%c       Per uscire dalla ricerca globale\n\n"
#define ANOTHERYP "<CR>    Per effettuare un'altra ricerca di tipo pagine gialle\n"
#define QUITYP "%c       Per uscire dalla ricerca di tipo pagine gialle\n"
#define SHOWPOWEROPTS "%c       Per vedere questa lista di opzioni\n\n"
#define OPTSTRING "Inserisci un'opzione: "
#define RANGEPROBLEM "Il numero inserito non rientra nel rango\n"
#define OKSEARCH "Esaminate le seguenti organizzazioni\n"
#define CANTSEARCH "Non e' stato possibile esaminare le seguenti organizzazioni\n"
#endif

/* util.c */
#ifdef util_c
#define MAINTAINCONN "\nPer mantenere la connessione premi <CR> entro 10 secondi\n" 
#define LIMIT "\nI gestori dei dati hanno imposto un limite per prevenire che tutte le entry\npresenti da questo punto in poi nel Directory siano elencate. prova a\n"
#define GUESS "indovinare il nome della entry che desideri.  Il Directory e' in grado di\ntrovare la entry anche se non inserisci il nome esatto.\n"
#define BEPRECISE "specificare meglio le chiavi dell'interrogazione.\n"
#define REFER "Vedi le spiegazioni ottenibili con ?approssima per maggiori dettagli.\n"
#define NOTALL1 "\nNon e' stato possibile estendere la ricerca a tutte le parti del Directory\nnecessarie per completare l'interrogazione - parte della base di dati non e'\nattualmente accessibile.\n"
#define NOTALL2 "Ci potrebbero quindi essere piu' risultati di quelli mostrati.\n\n"
#define SHOWORG "\nMostro le informazioni relative all'organizzazione.\n\n"
#define SHOWDEPT "\nMostro le informazioni relative al dipartimento.\n\n"
#define FUZZILYMATCHED " (trovato per somiglianza)"
#endif

/* dehelp.c */
#ifdef dehelp_c

#define VERSSTR "Numero della versione DE: %s\n"
#define DOSHELPFILE "de.hlp"
#define HELPFILEPREFIX "de/de"
#define NOHELP "Non e' disponibile nessun aiuto a proposito di `%s'\n"
#define HELPHELP "\nAIUTO su AIUTO disponibile digitando ?? o ?AIUTO\n\n"
#define SET1 "E' possibile modificare qualche parametro usato dal programma, ad esempio il\n"
#define SET2 "numero delle righe del video dell'utente.  "
#define CHANGESET "\nVuoi cambiare il valore di qualche parametro (s/n) ?"
#define YES "si"
#define NO "no"
#define ON "acceso"
#define OFF "spento"
#define ENTERVARNAME "Inserisci il nome della variabile che vuoi cambiare:"
#define NOSUCHVAR "Non esiste la variabile <%s>\n"
#define ENTERVARVAL "Inserisci il valore per la variabile:"
#define TTWARNING "\nNota che cambiare il tipo di terminale puo' variare la lunghezza e la\nlarghezza del video ai valori tipici per quel tipo di terminale. Regola le\ncorrispondenti variabili se lo desideri.\n"
#define CURRSET "Questi sono i valori correnti:\n\nNOME  DELLA        VALORE           DESCRIZIONE\n VARIABILE\n"

/* These are the strings used in the ?settings option.  The number is
   the number of characters that has to be entered to uniquely identify one
   option from others */
#define TTYPE "terminale"
#define TTYPELEN 1
#define TTYPEDESC "Tipo di terminale dell'utente"
#define INVVIDEO "evidenziatore"
#define INVVIDEOLEN 1
#define INVVIDEODESC "Richieste evidenziate se possibile"
#define COLS "colonne"
#define COLSLEN 1
#define COLSDESC "Larghezza in colonne dello schermo dell'utente"
#define LINES "righe"
#define LINESLEN 1
#define LINESDESC "Lunghezza in righe dello schermo dell'utente"
#endif

/* help screens  - these are defined outside of dehelp.c as some of them 
   have to be referred to in de.c */
#ifdef helpscreens

/* These are the strings used to identify the help screens.  The associated
   numbers are the number of characters required to uniquely identify a
   particular screen.   Note that some of the var names have a 2 appended -
   this is to avoid clashes with other definitions */
#define BYEBYE "ciao"
#define BYEBYELEN 2
#define COMMANDS "comandi"
#define COMMANDSLEN 2
#define COUNTRY2 "nazione"
#define COUNTRY2LEN 2
#define DEPARTMENT "dipartimento"
#define DEPARTMENTLEN 1
#define DEPT "dpt"
#define DEPTLEN 3
#define EX1 "es1"
#define EX1LEN 3
#define EX2 "es2"
#define EX2LEN 3
#define HELP "aiuto"
#define HELPLEN 2
#define INTRO "intro"
#define INTROLEN 1
#define LIST "elencare"
#define LISTLEN 2
#define LOCALITY2 "localita"
#define LOCALITY2LEN 1
#define MATCHING "approssima"
#define MATCHINGLEN 2
#define MODES "modi"
#define MODESLEN 3
#define MULTI "molte"
#define MULTILEN 3
#define NAME "nome"
#define NAMELEN 2
#define	ORGANISATION "organizzazione"
#define ORGANISATIONLEN 3
#define	ORGANIZATION "organizzazioni"
#define ORGANIZATIONLEN 3
#define	ORGINFO "orginfo"
#define ORGINFOLEN 4
#define	PERSON2 "persona"
#define PERSON2LEN 2
#define	POWER "globale"
#define POWERLEN 1
#define	PROBLEMS "problemi"
#define PROBLEMSLEN 2
#define	SETTINGS "assegnamenti"
#define SETTINGSLEN 2
#define	SCREEN "schermo"
#define SCREENLEN 2
#define	SPECIAL "speciali"
#define SPECIALLEN 2
#define	TERMTYPES "terminali"
#define TERMTYPESLEN 2
#define	UFN "ufn"
#define UFNLEN 1
#define VERSION "versione"
#define VERSIONLEN 1
#define	WILDCARDS "wildcards"
#define WILDCARDSLEN 1
#define YELLOWHELP "paginegialle"
#define YELLOWHELPLEN 2

/* some special versions of files which contain references to control-C
   to quit - proscribed in the PARADISE central DUA */
#define	INTROCC "introcc"
#define NAMECC "nomecc"
#define COMMANDSCC "comandicc"
#endif

/* browse.c */
#ifdef browse_c
#define NOBROWSER "Spiacente, ma l'opzione esplorazione non e' disponibile\n\n\n"
#define BROWSEWAIT "Prego, aspettare finche' non e' avviata l'esplorazione ...\n"
#define BROWSERPROBLEM "Non e' possibile attivare l'esplorazione\n"
#endif

/* qos.c */
#ifdef deqos_c
#define OPSOMETIME "\nQuesta operazione puo' richiedere molto tempo\n"
#define LAST "\nL'ultimo tentativo ha impiegato circa "
#define LASTFEW "\nGLi ultimi tentativi hanno impiegato circa "
#define USUALLYTAKES "\nQuesta ricerca ha recentemente impiegato circa "
#define SECONDS "secondi"
#define PLEASEWAIT ", aspetta prego\n"
#define CONTROLC "Control-C, se vuoi abbandonare l'operazione in corso.\n\n"
#define LASTATTEMPT "L'ultimo tentativo "
#define FAILED "e' fallito - puo' darsi che questa parte del directory sia affetta\nda un problema di affidabilita'."
#define WASABANDONED "e' stato abbandonato. Forse cio' e' accaduto perche' le ricerche\nstavano impiegando un tempo molto elevato."
#define THEREHAVE "\nfallimenti/rilasci poiche' "
#define WHENLAST "\nL'ultima volta che questa parte del directory e' stata acceduta\ncon successo, le ricerche hanno impiegato circa "
#define NOTIMEYET "\nNon e' stato ancora registrato il tempo medio di accesso."
#define OVERTIME "\nSembra che stia impiegando piu' del normale !!"
#define PLEASEWAITUNTIL "\nPreparati ad attendere questo tempo per ottenere i risultati."
#endif

/* yp.c */
#ifdef yp_c
#define YPSELECTED "\nE' stata selezionata la modalita' Pagine Gialle\n\n
Seleziona una delle seguenti categorie:\n"
#define ENTERATTTYPE "Tipo di categoria: <CR> per ritornare al menu', \
? per aiuto\n:-"
#define ATTNORANGEPROB "Il numero di categoria inserito non e' valido\n"
#define NOSUCHATTT "Questa categoria non esiste\n"
#define ENTERATTVAL "Valore per la categoria - <CR> per avere di nuovo la categoria\n:-"
#define MATCHTYPES "\nSeleziona uno dei seguenti tipi di corrispondenza:\n\
 1: Esatta\n 2: Sottostringa\n 3: Approssimata\n"
#define ENTERMATCHTYPE "Tipo di corrispondenza\n:-"
#define SEARCHSCOPE "\nSeleziona la portata della ricerca per pagine gialle:\n\n"
#endif
