/* messages.h */

/*
 * $Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/messages.h,v 9.3 1993/03/19 22:55:37 isode Exp isode $
 *
 * $Log: messages.h,v $
 * Revision 9.3  1993/03/19  22:55:37  isode
 * Add QOS and DOS-DE code
 *
 * Revision 9.2  1992/12/15  07:05:26  awy
 * Update and fixes
 *
 * Revision 9.1  1992/11/12  20:03:06  awy
 * IC-1 base
 *
 */

/* global relevance */
#define INFOLETTER 'i'
#define SIMPLELETTER 's'
#define MENULETTER 'm'
#define POWERLETTER 'p'
#define BROWSELETTER 'b' 
#define YELLOWPAGES 'y'
#define UFNLETTER 'u'
#define HELPLETTER 'h'
#define QUESTIONMARK '?'
#define QUITCHAR 'q'
#define QUITWORD "quit"
#define SEARCHMESS "Buscando "
#define LISTMESS "Listando "
#define THESEARCH "\nLa busqueda "
#define FORENTRY "de `%s' "
#define HASFAILED "ha fallado, probablemente porque el servidor del\nDirectorio no esta disponible.\n\n"
#define YESCHAR 's'
#define NOCHAR 'n'
#define HELPFILEPREFIX "de/de"

/* de.c */
#ifdef de_c
#define DEFWELCOMEMESS "\n            Bienvenido al Servicio de Directorio\n"
#define NODEFAULTCOANDORG "Se debe configurar un pais y una organizacion por defecto para hacer\nconsultas locales sobre una organizacion.\n"
#define MODEMENU "\nSeleccionar el modo deseado:\n\nS  Consultas Simples- Si conoce el nombre de la organizacion sobre la que desea buscar\n                    (asi es como el interfaz suele operar)\n\nP  Busqueda Potente - Para busquedas sobre varias organizaciones a la vez\n\n%sY  Paginas Amarillas - busquedas potentes, pero permite buscar por criterios\n distintos del nombre de la entrada\n\nU Introduzca la cadena de busqueda amigable (user-frindly name) - p.ej:\n p barker, ucl, uk\n\nI  Instrucciones sobre como utilizar los modos de funcionamiento del programa\n\n?  Ayuda - funcionamiento y temas diversos\n\nQ  Abandonar el programa\n\nIntroduzca la opcion: "
#define BROWSELINE "B  Paginador - para explorar mejor el Directorio\n\n"
#define VALIDMODES "ipsbyuh?q\n"
#define POWERSTRING "p"
#define SIMPLESTRING "s"
#define BROWSESTRING "b" 
#define YELLOWSTRING "y"
#define UFNSTRING "u"
#define MENUSTRING "m"
#define SIMPLEMODEON"\nSeleccionado modo de consulta SIMPLE\n"
#define POWERMODEON "\nSeleccionado modo de consulta MULTIPLE (multiples organizaciones)\n"
#define LOCALONLY "Solamente consultas locales"
#define NOPOWEROPTION " - busqueda multiple / paginas amarillas no disponible\n\n"
#define NOMENUOPTION " - menu de opciones no disponible\n\n"
#define ENTERORGCO "Debe introducir una organizacion y un pais\n\n"
#define ENTERCO "Debe introducir un pais\n\n"
#define TEMPPROBLEM "\n Probablemente hay algun problema con el Servicio de Directorio.\n\n"
#define NOCOMATCH "Ningun pais coincide con `%s'\n\n"
#define NOTHINGTO "\nNada que buscar debido a que no se ha introducido ninguna organizacion.\nIntroduzca un nombre de organizacion, o pulse <CR> para reanudar\nla consulta de nuevo.\n\n"
#define NOORGSFOUND "No encontrada ninguna organizacion. Posiblemente por error temporal en el Directorio.\n\n"
#define CFOM "Ninguna organizacion coincide con `%s'\n\n"
#define NOORGSMATCH "Ninguna organizacioin coincide con `%s'\n\n"
#define CHECKUNDERLOC "Se comprueba si la entrada esta debajo de una localidad\n"
#define NOLOCINFO "No hay informacion disponible de la localidad\n"
#define ONLYONELOC "Solo se ha encontrado una localidad - `%s'- se mira en ella...\n"
#define ANOTHERLOC "Desea buscar otra localidad (s/n) ? "
#define NODEPTS "\n      No se ha encontrado ningun departamento."
#define NODEPTMATCH "\n      Ningun departamento coincide con `%s'.\n"
#define NOLOCSMATCH "  Ninguna localidad coincide con `%s'\n"
#define NOLOCSFOUND "  No se ha encontrado ninguna localidad\n"
#define DISPORGDETAILS "      Se muestran los detalles de la organizacion.\n\n"
#define CONTPERSONSEARCH "      Se continua la busqueda de la persona `%s'\n      por toda la organizacion.\n\n"
#define CONTPERSONLIST "      Se continua listando personas de toda la organizacion.\n\n"
#define NOPEOPLE "      No se han encontrado entradas de personas.  "
#define NOPEOPLEMATCH "      Ninguna persona coincide con `%s'.  "
#define DOSIGNEDREAD "Quiere leer con signo de esta entrada? "
#define TRYSIGNEDREAD "Intentando leer con signo ..."
#define SIGNEDREADFAILED "La lectura con signo ha fracasado\n"
#define SIGNEDRESOK "Han llegado resultados con signo - todo parece correcto\n"
#define DISPDEPTDETAILS "Se muestran los detalles del departamento.\n\n"
#define FOUNDFOLLOWING "\nEncontradas estas entradas.  Por favor, seleccione una de la lista\ntecleando el numero correspondiente a la entrada deseada.\n\n"
#define MATCHFOLLOWING "\nEncontradas estas entradas.  Por favor, seleccione una de la lista\ntecleando el numero correspondiente a la entrada deseada.\n\n"
#define FUZZY "\"fuzzy\" "
#define GOTCONTROL "La entrada contiene caracteres de control. Por favor introduzcala de nuevo\n\n"
#define PPROMPT "Nombre de persona, q para salir, "
#define BROWSE "Paginar" /* antes, browse */
#define LISTPEOPLE "lista de personas"
#define OUPROMPT "Nombre de departamento, "
#define LISTOUS "lista de dptos"
#define OUBROWSE "%s<CR> para %s todos los dptos, "
#define LIST "listar"
#define SEARCH "buscar"
#define SEARCHALLOUS "- para buscar todos los departamentos,\n           "
#define SEARCHALLORGS " para buscar todas las organizaciones,\n           "
#define SEARCHFOR "%s<CR> para buscar `%s', "
#define PMHELP "%s? para ayuda \n%s"
#define ORGPROMPT "Nombre de organizacion, "
#define GENSEARCH "%s<CR> para buscar `%s', "
#define WRAPPROMPT "%s\n           "
#define LISTORGS "lista de orgs"
#define LOCPROMPT "Nombre de localidad, "
#define LISTLOCS "lista de  localidades"
#define COPROMPT "Nombre de pais, "
#define LISTCOS "lista de paises"
#define UFNPROMPT "\nNombre amigable (user-friendly), m para menu, q para salir quit, "
#define UNKNOWNOC "Tipo desconocido en enterString\n"
#define QUITWORD "quit" /* antes, quit */
#define WANTTOQUIT "Desea abandonar el Servicio de Directorio (s/n) ? "
#define INVNUMBER "Numero introducido no valido (maximo = %d)\n\n"
#define LISTNOTCURRENT "No existen entradas. Numero de entrada incorrecto\n"
#ifdef DOS
#define STILLWAITING "\nPulse ESC, si desea abandonar la busqueda.\n\n"
#define OPSOMETIME "\nEsta operacion se demora.\nPulse ESC, si desea abandonar la operacion.\n\n"
#else
#define STILLWAITING "\nControl-C, si desea abandonar la busqueda.\n\n"
#define OPSOMETIME "\nEsta operacion se demora.\nControl-C, si desea abandonar la operacion.\n\n"
#endif DOS
#define STILLTRYING "Se continua intentando..."
#define SEABAN "\nBusqueda abandonada\n"
#define ACLPROB "\nLa busqueda en esta parte del Directorio esta restringida al manager\nde los datos.\n\n"
#define DISPLAYORG "Mientras, se muestran los detalles de la organizacion.\n"
#define FORPEOPLEOUS "Para informacion sobre personas o dptos, intentelo mas tarde.\n\n"
#define DISPLAYDEPT "Mientras, se muestran los detalles del departamento.\n"
#define FORPEOPLE "Para informacion sobre personas, intentelo mas tarde.\n\n"
#ifdef DOS
#define FORCEQUIT "Pulse ESC para salir inmediatamente - saldra automaticamente despues de %d segundos\n"
#else
#define FORCEQUIT "Control-C para salir inmediatamente - saldra automaticamente despues de %d segundos\n"
#endif DOS
#endif
/* init.c */
#ifdef init_c
#define NONNUMERICPORT "Numero de puerto no numerico - `%s'\n"
#define NODSAPTAILOR "No se puede abrir el ficehro `dsaptailor'. Se intenta continuar.\n"
#define NOTAILORFILE "Falta el argumento del fichero de tailor.\n"
#define CANTOPENTFILE "No se puede abrir el fichero de tailor  `%s'\n"
#define NODETAILOR "No se puede abrir el fichero `detailor'. Se intenta continuar.\n"
#define ARGPROBLEM "Problema con los argumentos.  No se entiende -%c flag\n"
#define MEANINGLESS "Ignorando el argumento incomprensible `%s'\n"
#define NODEWELCOME "No se puede abrir el fichero `dewelcome'. Se intenta continuar.\n"
#define LOGFILEPROBLEM "No se pueden abrir los ficheros de log\n"
#define LOGFAILCONT "No puedo guardar un log de la sesion - continuo  ...\n\n"
#endif

/* video.c */
#ifdef video_c
#define LISTTERMCHAR "l"
#define DONTKNOWTERMTYPE "\nTerminal utilizado desconocido(%s).\nPuede pulsar <CR> para que sea aceptado\nun tipo de terminal por defecto (asumiendo  24 lineas por pantalla).\n"
#define ENTERTERMTYPE "Teclee su tipo de terminal (l o L para listar posibles tipos de terminal): "
#define SCREENSIZE "Su terminal se ha ajustado a %d lineas.\n"
#define SCREENOK "Si le parece OK, pulse <CR>, sino teclee el numero correcto (24 es el normal)."
#define SCREENLEN "Introduzca el numero de lineas:"
#endif

/* asyndap.c */
#ifdef asyndap_c
#define REMOVEERR "Error - se intenta eliminar una operacion de una lista vacia de operaciones\n"
#define NOOPERR "Error - no se ha encontrado la operacion %d en la lista de ops pendientes\n"
#define NOPROTRESULTS "No se han obtenido resultados protegidos\n"
#define DUANOTIDENTIFIED "Los resultados del DSA no incluyen el nombre del DUA destinatario\n"
#define WRONGDUA "El nombre del DUA no es el mismo la que el DSA intenta enviar\n"
#define WRONGDSA "Los resultados no son del DSA apropiado\n"

#define ABANSEARCHES "Se abandonan las busquedas pendientes...\n"
#define ABANORGS "Se abandonan las busquedas de las organizaciones siguientes\n"
#endif

/* atts.c */
#ifdef atts_c
#define NODETAILS "%s (No hay informacion disponible)\n"
#endif

/* bind.c */
#ifdef bind_c
#define CANTUSEBACKUP "\nConexion fallida al DSA especificado -  problema de seguridad\n Conexion con el DSA de back-up no permitida por requerir autentificacion fuerte\n"
#define PASSWORDPROMPT "\nIntroduzca password para: "
#define NOADDRESS "No se ha configurado ninguna direccion de DSA en dsaptailor o detailor\n\n"
#define CONNECTING "\nConectando con el Directorio - espere un momento por favor...\n\n"
#define BADDSANAME "Nombre de DSA incorrecto en el fichero tailor\n\n"
#define NEEDOSISEC "El Servicio de Seguridad requiere OSISEC\n"
#define FAILSTRONGCREDS "No se pudieron crear credenciales fuertes\n"
#define INSUFFCERTCREDS "No hay suficientes Credenciales de Certificado\n"
#define CERTMATCHPROBLEM "El certificado de usuario no concuerda con el nombre del DUA\n"
#define NOOSISECLIBS "\nLas librerias de autentificacion fuerte no se han linkado a este ejecutable\n\n"
#define BADADDRESS "Problema con la direccion del DSA\n"
#define TEMPUNAVAIL "\n\nServidor del Directrorio temporalmente no diposnible\n\n"
#define TRYANOTHER "Intentando con otro servidor...\n\n"
#define NOBIND1 "\nError de conexion - compruebe el username/password en el ficehro de configuracion\n"
#define NOBIND2 "\nError de conexion - problema de autentificacion - avise al administrador del sistema\n"
#define NOBIND3 "\nError de conexion - teclee %d, codigo %d\n"
#define BINDFAIL "\nNo se ha contactado con el DSA - posiblemente la direccion es erronea\n\n"
#define NOLDAPSERV "No se ha configurado ningun servidor con LDAP en el fichero detailor\n\n"
#define NOLDAPCONN "\nNo se ha conectado con ningun servidor LDAP del host `%s'\n"
#define LDREASON "Razon"
#define NONAME "Si no se indica el nombre de usuario, no se puede conectar con autentificacion simple\n"
#define NOAUTHBIND "Conectando sin autenficacion ...\n"
#define PASSPROB "Connexion fallida ... problema con el password?\n"
#define THREETRIES "Solo se permiten tres intentos en la introduccion del password\n"
#define STRONGBINDOK "El usuario se ha conectado al Directorio con autentificacion fuerte\n"

#endif

/* cname.c */
#ifdef cname_c
#define NAMEMAPPROB "Problema al mapear el nombre del pais\n"
#define NOT2CHARS "Problema - codigo de pais (de 2 caracteres) incorrecto\n"
#endif

/* country.c */
#ifdef country_c
#define NOCOSMATCH "Ningun pais coincide con el introducido\n"
#endif

/* loc.c */
#ifdef loc_c
#define NOLOCSFOUND "  No se ha encontrado ninguna localidad\n"
#define NOLOCSMATCH "  Ninguna localidad coincide con `%s'\n"
#endif

/* org.c */
#ifdef org_c
#define NOORGSFOUND "  No se ha encontrado ninguna organizacion\n"
#define NOORGSMATCH "  Ninguna organizacion coincide con `%s'\n"
#endif

/* ou.c */
#ifdef ou_c
#define NOOUSFOUND "    No se ha encontrado ninguna unidad organizativa (OU) \n"
#define NOOUSMATCH "    Ninguna unidad organizativa coincide con `%s'\n"
#endif

/* people.c */
#ifdef people_c
#define NOPEOPLEFOUND "      No se ha encontrado ninguna persona, despacho u ocupacion\n"
#define NOPEOPLEMATCH "      Ninguna persona, despacho u ocupacion coincide con el string introducido\n"
#endif

/* deufn.c */
#ifdef deufn_c
#define UFNTOOSHORT "El nobre que ha introducido solo contiene %d componente(s) separados por comas.\n\
Debe introducir al menos 3 componentes para encontrar entradas de personas.\n\
El formato recomendado es: nombre de pesona, organizacion, pais\n"
#define AVOIDDOMAINS "Le iria mejor si no usara nombres de dominios o userids (identificadores de usuario) como claves de busqueda.\n"
#define MOREUFNDETAILS "Quiere introducir de nuevo los detalles de busqueda (s/n)? "
#define NOUFN "Lo siento, la busqueda por UFN no esta disponible.\nEl fichero ufnrc no se encuentra o su formato es erroneo.\nMientras, intente localizar la entrada respondiendo a las siguientes preguntas\ndesde el prompt.\n\n"
#define NOUFNMATCH "\nNo se ha encontrado ninguna entrada\n"
#define CANTREAD "No se ha podido leer la entrada de `%s'\n"
#define INVNUMBER "Numero introducido incorrecto (maximo = %d)\n\n"
#define ENTNUMBER "Introduzca un numero, o pulse RETURN si ninguna de estas entradas es la solicitada\n: "
#endif

/* mapatt.c */
#ifdef mapatt_c
#define PROBATTNAMEMAP "Problema al mapear los nombres de atributos...\n"
#endif

/* mapphone.c */
#ifdef mapphone_c
#define PROBMAPPINGPHONE "Problema al mapear los numeros de tfno...\n"
#endif

/* pager.c */
#ifdef pager_c
#define PROMPT1  "ESPACIO = proxima pantala, %c = abandonar paginacion"
#define PROMPT2 "; o numero de entrada"
#endif

/* power.c */
#ifdef power_c
#define STILLTODOMESS "Organizaciones pendientes de busqueda"
#define NOPERSONNAME "Debe introducir un nombre de persona\n"
#define NOMATCHINGORGS "Ninguna organizacion coincide con `%s'\n"
#define MAXPARALLEL "El ambito de esta busqueda potente es de  %d organizaciones.\nSin embargo, hay un limite de busqueda de %d organizaciones a la vez.\nTiene tres opciones para continuar la busqueda:\n\n"
#define LIMITEDOPTS "1    Se le ofrecera una lista de hasta %d organizaciones cada vez.\n\
     Se le preguntara si quiere buscar ese conjunto de organizaciones.\n\
     Una vez haya buscado/no buscado en ese conjunto, se le preguntara\n\
     si quiere buscar en el siguiente grupo de organizaciones.\n\
\n\
2    Entonces se le mostrara la lista completa de organizaciones y podra\n\
     elegir hasta %d organizaciones de la lista para la busqueda.\n\
     Puede elegir varias veces de la lista.\n\
\n\
3    Puede restringir el ambito de la busqueda especificando el nombre de\n\
     la organizacion de manera mas precisa. Por ej: London, o University.\n\
\n\
<CR> para abandonar la busqueda.\nIntroduzca su opcion: "
#define SEARCHTHESEORGS "Quiere buscar en este grupo de organizaciones (s/n)? "
#define BYNUMBERS "Puede seleccionar hasta %d organizaciones en las que buscar a la vez\n\
Intorduzca los numeros de las organizaciones en las que quiere buscar\n\
como una lista de numeros separados por espacios. Ej: 1 5 23 46\n"
#define INITSEARCHES "Busqueda inicializada a %d organizaciones..."
#define SEARCHINITFAIL "Error al inicializar la busqueda a %s\n"
#define WAITING "\nEsperando los resultados (control-C para abandonar busquedas inconclusas )...\n\n"
#define CANTFINDOP "No se encuantra la op %d en la lista\n"
#define NOTHINGFOUND "\nNo se ha encontrado ninguna entrada.\n\n"
#define OPTIONS "\nPuede seleccionar una de las entradas encontradas, o iniciar otra consulta.\nLas siguientes opciones estan disponibles:\n\n"
#define NUMBER "nn      Teclee el numero correspondiente a la entrada deseada\n"
#define LISTCHAR 'l'
#define LIST "%c       Para listar el resultado de nuevo\n"
#define SUCCESSCHAR 's'
#define SUCCESS "%c       Para listar la organizacion sobre la que se esta buscando\n"
#define FAILCHAR 'f'
#define FAIL1 "%c       Para listar la org. sobre la que no se ha podido encontrar nada (probablemente porque\n"
#define FAIL2 "        el servidor ha fallado)\n"
#define ABANCHAR 'a'
#define ABAN "%c       Para listar las organizaciones no buscadas a causa de una interrupcion de usuario\n"
#define NEXTSTR "%c       Para buscar el siguiente grupo de hasta %d organizaciones\n"
#define MORECHAR 'm'
#define MORESTR "%c       Para buscar ahsta %d organizaciones seleccionadas\n"
#define ANOTHER "<CR>    Para realizar otra busqueda multiple de organizacion\n"
#define QUITPOWER "%c       Para abandonar la busqueda potente\n\n"
#define ANOTHERYP "<CR>    Para realizar otra busqueda de paginas amarillas\n"
#define QUITYP "%c       Para abandonar la busqueda de paginas amarillas\n"
#define SHOWPOWEROPTS "%c       Para ver esta lista de opciones\n\n"
#define OPTSTRING "Teclee la opcion: "
#define RANGEPROBLEM "Numero introducido fuera de rango\n"
#define OKSEARCH "Buscando las siguientes organizaciones\n"
#define CANTSEARCH "No se pueden buscar las siguientes organizaciones\n"
#endif

/* util.c */
#ifdef util_c
#define MAINTAINCONN "\nPresione <CR> en menos de 10 segundos para mantener la conexion\n"
#define LIMIT "\nEl manager del Directorio ha impuesto un limite para prevenir\nel listado de todas las entradas del Directorio por debajo de este punto.\n"
#define GUESS "Introduzca el nombre de la entrada deseada. Se debe encontrar la entrada\nincluso si el nombre no es exactamente correcto.\n"
#define BEPRECISE "especifique la consulta de forma mas precisa.\n"
#define REFER "Consulte la pantalla de ayuda ?equivalencias para obtener mas detalles.\n"
#define NOTALL1 "\nNo ha sido posible consultar todas las partes necesarias del Directorio\n- para completar la busqueda - parte de la base de datos no esta accesible.\n"
#define NOTALL2 "Deberia haber mas resultados que los mostrados.\n\n"
#define SHOWORG "\nSe muestran los detalles de la organizacion.\n\n"
#define SHOWDEPT "\nSe muestran los detalles del departamento.\n\n"
#define FUZZILYMATCHED " (equivalencia aproximada)"
#endif

/* dehelp.c */
#ifdef dehelp_c

#define VERSSTR "version de DE numero: %s\n"
#define DOSHELPFILE "de.hlp"
#define NOHELP "No hay informacion disponible para `%s'\n"
#define HELPHELP "\nAYUDA sobre AYUDA disponible tecleando ?? o ?ayuda\n\n"
#define SET1 "Es posible modificar algunos parametros usados por el programa, p. ej.\n"
#define SET2 "el numero de lineas de la pantalla de usuario.  "
#define CHANGESET "\nDesea cambiar algun parametro (s/n) ?"
#define YES "si"
#define NO "no"
#define ON "on"
#define OFF "off"
#define ENTERVARNAME "Introduzca la variable que desea modificar:"
#define NOSUCHVAR "No existe esta variable <%s>\n"
#define ENTERVARVAL "Introduzca el valor de la variable:"
#define TTWARNING "\nAdvierta que al hacer reset del terminal, se ajustara la altura y anchura\nde la pantalla a los valores por defecto.\nReajuste estos valores si lo desea\n"
#define CURRSET "\nEsta es la configuracion actual:\n\nVARIABLE     VALOR           DESCRIPCION\n  NOMBRE\n"

/* These are the strings used in the ?settings option.  The number is
   the number of characters that has to be entered to uniquely identify one
   option from others */
#define TTYPE "terminal"
#define TTYPELEN 1
#define INVVIDEO "invvideo"
#define INVVIDEOLEN 1
#define COLS "columnas"
#define COLSLEN 1
#define LINES "lineas"
#define LINESLEN 1
#endif

/* help screens  - these are defined outside of dehelp.c as some of them 
   have to be referred to in de.c */
#ifdef helpscreens

/* These are the strings used to identify the help screens.  The associated
   numbers are the number of characters required to uniquely identify a
   particular screen.   Note that some of the var names have a 2 appended -
   this is to avoid clashes with other definitions */
#define BYEBYE "adios"
#define BYEBYELEN 1
#define COMMANDS "comandos"
#define COMMANDSLEN 3
#define COUNTRY2 "pais"
#define COUNTRY2LEN 3
#define DEPARTMENT "departamento"
#define DEPARTMENTLEN 1
#define DEPT "dept"
#define DEPTLEN 4
#define EX1 "ej1"
#define EX1LEN 3
#define EX2 "ej2"
#define EX2LEN 3
#define HELP "ayuda"
#define HELPLEN 1
#define INTRO "intro"
#define INTROLEN 1
#define LISTING "listar"
#define LISTLEN 2
#define LOCALITY2 "localidad"
#define LOCALITY2LEN 2
#define MATCHING "coincidencias"
#define MATCHINGLEN 2
#define MODES "modos"
#define MODESLEN 2
#define MULTI "multi"
#define MULTILEN 2
#define NAME "nombre"
#define NAMELEN 1
#define	ORGANISATION "organizacion"
#define ORGANISATIONLEN 3
#define	ORGANIZATION "organizacion"
#define ORGANIZATIONLEN 3
#define	ORGINFO "orginfo"
#define ORGINFOLEN 4
#define	PERSON2 "persona"
#define PERSON2LEN 2
#define	POWER "potente"
#define POWERLEN 2
#define	PROBLEMS "problemas"
#define PROBLEMSLEN 2
#define	SETTINGS "configuracion"
#define SETTINGSLEN 2
#define	SCREEN "pantalla"
#define SCREENLEN 2
#define	SPECIAL "especial"
#define SPECIALLEN 2
#define	TERMTYPES "terminales"
#define TERMTYPESLEN 1
#define	UFN "ufn"
#define UFNLEN 1
#define VERSION "version"
#define VERSIONLEN 1
#define	WILDCARDS "comodines"
#define WILDCARDSLEN 1
#define YELLOWHELP "yp"
#define YELLOWHELPLEN 1

/* some special versions of files which contain references to control-C
   to quit - proscribed in the PARADISE central DUA */
#define	INTROCC "introcc"
#define NAMECC "nombrecc"
#define COMMANDSCC "comandoscc"
#endif

/* browse.c */
#ifdef browse_c
#define NOBROWSER "Lo siento, pero el paginador no esta disponible\n\n\n"
#define BROWSEWAIT "Por favor, espere a que se restablezca el paginador ...\n"
#define BROWSERPROBLEM "No se puede utilizar el paginador\n"
#endif

/* qos.c */
#ifdef qos_c
#define OPSOMETIME "\nEsta operacion se demora\n"
#define LAST "\nEl ultimo intento consumio "
#define LASTFEW "\nLos ultimos intentos han consumido menos de "
#define USUALLYTAKES "\nEsta busqueda normalmente consume menos de "
#define SECONDS "segundos"
#define PLEASEWAIT ", por favor, espere\n"
#define CONTROLC "Control-C, si desea abandonar la operacion.\n\n"
#define LASTATTEMPT "\nEl ultimo intento "
#define FAILED "fracaso - esta parte del Directorio podria tener un problema de \nfiabilidad."
#define WASABANDONED "se ha abandonado. Puede ser debido a que las busquedas estaban\ntardando mucho tiempo."
#define THEREHAVE "\nHa habido "
#define FAILURESABANDONS " fallos/abandonos desde "
#define WHENLAST "\nCuando esta parte del Directorio se accedio sin problemas la \nultima vez, las busquedas tardaban "
#define NOTIMEYET "\nAun no hay un tiempo medio registrado."
#define OVERTIME "\nParece que tarda mas de lo normal !!"
#define PLEASEWAITUNTIL "\nEste sera el tiempo de espera hasta obtener resultados."
#endif


/* yp.c */
#ifdef yp_c
#define YPSELECTED "\nSeleccionado modo de consulta PAGINAS AMARILLAS\n\n Seleccione una de las siguientes categorias:\n"
#define ENTERATTTYPE "Tipo de la categoria: <CR> para volver al menu, ? para ayuda\n:-"
#define ATTNORANGEPROB "Numero de categoria fuera de rango\n"
#define NOSUCHATTT "No existe esa categoria\n"
#define ENTERATTVAL "Valor del tipo seleccionado - <CR> para preguntar de nuevo por el tipo\n:-"
#define MATCHTYPES "\nSelecione el modo de coincidencia (matching):\n 1: Exacta\n 2: Subcadena\n 3: Aproximada\n"
#define ENTERMATCHTYPE "Modo de coincidencia\n:-"
#define SEARCHSCOPE "\nSeleccione el ambito de la busqueda por PAGINAS AMARILLAS:\n\n"
#endif
