/* types.h */

/*
 * $Header: /u1/home/isode/src/IC/IC-1/de/de/RCS/types.h,v 9.2 1993/03/19 22:56:08 isode Exp isode $
 *
 *
 * $Log: types.h,v $
 * Revision 9.2  1993/03/19  22:56:08  isode
 * Add QOS and DOS-DE code
 *
 * Revision 8.1  1991/09/13  14:36:41  isode
 * PARADISE Upgrade release
 *
 * Revision 8.0  91/07/17  13:18:49  isode
 * Release 7.0
 *
 *
 */

/*
 *				  NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */


#ifndef _query_types_h_
#define _query_types_h_

#include <stdio.h>

#ifndef DOS
#define bool unsigned char
#endif DOS
#define cardinal unsigned int

typedef enum {
  yes,
  no,
  unknown
  } known;

typedef enum {
  RQ_processing,
  RQ_results_returned,
  RQ_error_returned
  } request_state;

#endif
